// --------------------------------------------------------------------
// Persistence of Vision Ray Tracer Include File
// Spectral Data library for PoV-Ray
// --------------------------------------------------------------------
// Line spectra converted by Ive from data at:
// ftp://adc.gsfc.nasa.gov/pub/adc/archives/catalogs/6/6016/catalog.dat.gz
// see also:
// http://home.achilles.net/~jtalbot/data/elements/
// --------------------------------------------------------------------
/*
  Content:
  -------
    name         sign  nr  group  ion   max.

  Period I
    LS_Hydrogen    H    1    1    1      180
    LS_Helium      He   2   18    1-2    500
  Period II
    LS_Lithium     Li   3    1    1-2   3600
    LS_Beryllium   Be   4    2    1-3   1000
    LS_Boron       B    5   13    2-3    285
    LS_Carbon      C    6   14    1-5   1000
    LS_Nitrogen    N    7   15    1-5   1000
    LS_Oxygen      O    8   16    1-3    490
    LS_Fluorine    F    9   17    1-3  50000
    LS_Neon        Ne  10   18    1-2    500
  Period III
    LS_Sodium      Na  11    1    1-2    300
    LS_Magnesium   Mg  12    2    1-3    500
    LS_Aluminium   Al  13   13    1-3   9000
    LS_Silicon     Si  14   14    1-4   1000
    LS_Phosphorus  P   15   15    1-5    600
    LS_Sulfur      S   16   16    1-3   1000
    LS_Chlorine    Cl  17   17    1-3  99000
    LS_Argon       Ar  18   18    1-3  20000
  Period IV
    LS_Potassium   K   19    1    1-3     20
    LS_Calcium     Ca  20    2    1-3    230
    LS_Iron        Fe  26    8    1-3  10000
    LS_Nickel      Ni  28   10    1-2   1200
    LS_Copper      Cu  29   11    1-3   2500
    LS_Zinc        Zn  30   12    1-2   1000
    LS_Bromine     Br  35   17    1-3  60000
    LS_Krypton     Kr  36   18    1-2   3000
  Period V
    LS_Strontium   Sr  38    2    1-4  65000
    LS_Silver      Ag  47   11    1-2   1000
    LS_Cadmium     Cd  48   12    1-2   2000
    LS_Iodine      I   53   17    1-3  10000
    LS_Xenon       Xe  54   18    1-3   3000
  Period VI
    LS_Caesium     Cs  55    1    1-2   2500
    LS_Barium      Ba  56    2    1-3  65000
    LS_Gold        Au  79   11    1-2    900
    LS_Mercury     Hg  80   12    1-3   4000
    LS_Radon       Rn  86   18    1      300

*/

// Standard include file beginning stuff
#ifndef (lspd_elements_Inc_Temp)
#declare lspd_elements_Inc_Temp = 1;

#ifdef(View_POV_Include_Stack)
  #debug "Including lspd_elements.inc\n"
#end


//=============================================================

#declare LS_Hydrogen=array[8][3]{ // H  1  1
{383.538,    5, 1},
{388.905,    6, 1},
{397.007,    8, 1},
{410.174,   15, 1},
{434.047,   30, 1},
{486.133,   80, 1},
{656.272,  120, 1},
{656.285,  180, 1}
}
#declare LS_Helium=array[30][3]{ // He  2 18
{381.961,   10, 1},
{381.976,    1, 1},
{388.865,  500, 1},
{396.473,   20, 1},
{400.927,    1, 1},
{402.619,   50, 1},
{402.636,    5, 1},
{412.082,   12, 1},
{412.099,    2, 1},
{414.376,    3, 1},
{438.793,   10, 1},
{443.755,    3, 1},
{447.148,  200, 1},
{447.168,   25, 1},
{468.540,    6, 2},
{468.570,   30, 2},
{471.315,   30, 1},
{471.338,    4, 1},
{492.193,   20, 1},
{501.568,  100, 1},
{504.774,   10, 1},
{541.152,    5, 2},
{587.562,  500, 1},
{587.597,  100, 1},
{656.010,    8, 2},
{667.815,  100, 1},
{686.748,    3, 1},
{706.519,  200, 1},
{706.571,   30, 1},
{728.135,    1, 1} 
}
#declare LS_Lithium=array[28][3]{ // Li 3  1
{391.530,   20, 1},
{391.535,   20, 1},
{398.548,   10, 1},
{398.554,   10, 1},
{413.256,   40, 1},
{413.262,   40, 1},
{427.307,   20, 1},
{427.313,   20, 1},
{432.542,    5, 2},
{432.547,    5, 2},
{432.554,    1, 2},
{460.283,   13, 1},
{460.289,   13, 1},
{467.165,    6, 2},
{467.170,    2, 2},
{467.806,    3, 2},
{467.829,    1, 2},
{488.132,    4, 2},
{488.139,    4, 2},
{488.149,    1, 2},
{497.166,    8, 1},
{497.175,    8, 1},
{548.355,  600, 2},
{548.565,  600, 2},
{610.354,  320, 1},
{610.365,  320, 1},
{670.776, 3600, 1},
{670.791, 3600, 1}
}
#declare LS_Beryllium=array[52][3]{ // Be 4  2  
{381.345,  700, 1},
{386.513,   40, 1},
{386.542,   80, 1},
{386.551,    1, 1},
{386.572,    6, 1},
{386.603,  100, 1},
{424.914,   90, 3},
{425.305,  100, 1},
{425.376,   60, 1},
{436.066,  300, 2},
{436.099,  500, 2},
{440.794,  400, 1},
{448.552     2, 3},
{448.730   100, 3},
{449.509     1, 3},
{449.780   140, 3},
{457.266,   12, 1},
{467.333,  700, 2},
{467.342, 1000, 2},
{470.937,    6, 1},
{482.816,  200, 2},
{484.916,   40, 1},
{485.822,    2, 2},
{508.775,   80, 1},
{521.812,    8, 2},
{521.833,   20, 2},
{525.586,    3, 2},
{527.028,   64, 2},
{527.081,  500, 2},
{540.304,   20, 2},
{541.021,   20, 2},
{614.201   140, 3},
{622.911,   10, 1},
{627.943,   16, 2},
{627.973,   30, 2},
{647.354,   30, 1},
{654.789,   60, 2},
{655.836,   60, 2},
{656.452,   30, 1},
{663.644,    2, 2},
{675.672,    1, 2},
{675.713,    2, 2},
{678.656,   30, 1},
{688.422,    1, 1},
{688.444,    6, 1},
{698.275,  100, 1},
{715.440,    6, 1},
{715.465,   40, 1},
{720.913,  100, 1},
{740.120,    3, 2},
{740.143,    2, 2},
{755.190,   10, 1}
}
#declare LS_Boron=array[14][3]{ // B  5 13
{412.193,  285, 2},
{419.479,  110, 2},
{424.298,   40, 3},
{424.361,   70, 3},
{447.210,  110, 2},
{447.285,  110, 2},
{448.705,  220, 3},
{449.773,  360, 3},
{478.421,   70, 2},
{494.038,  110, 2},
{608.044,  110, 2},
{628.547,   70, 2},
{703.020,   70, 2},
{703.190,   40, 2}
}
#declare LS_Carbon=array[59][3]{ // C  6 14 
{387.619,  350, 2}, 
{387.641,  350, 2},
{387.666,  350, 2},
{391.898,  570, 2},
{392.069,  800, 2},
{405.606,  150, 3},
{406.794,  200, 3},
{406.891,  250, 3},
{407.026,  250, 3},
{407.452,  250, 2},
{407.585,  350, 2},
{416.286,  150, 3},
{418.690,  250, 3},
{426.700,  800, 2},
{426.726, 1000, 2},
{432.556,  200, 3},
{464.742,  600, 3},
{465.025,  520, 3},
{465.147,  375, 3},
{465.830,  200, 4},
{466.586,  200, 3},
{477.175,  200, 1},
{493.205,  200, 1},
{494.388,    5, 5},
{494.456,    5, 5},
{505.217,  200, 1},
{513.294,  350, 2},
{513.328,  350, 2},
{514.349,  350, 2},
{514.516,  570, 2},
{515.109,  400, 2},
{538.034,  300, 1},
{564.807,  250, 2},
{566.247,  350, 2},
{569.592,  450, 3},
{580.133,  250, 4},
{581.198,  200, 4},
{582.642,  150, 3},
{588.977,  570, 2},
{589.159,  350, 2},
{600.113,  200, 1},
{600.603,  250, 1},
{600.718,  110, 1},
{601.068,  150, 1},
{601.322,  300, 1},
{601.484,  250, 1},
{657.805,  800, 2},
{658.288,  570, 2},
{658.761,  200, 1},
{674.438,  150, 3},
{678.390,  250, 2},
{703.725,  150, 3},
{711.318,  250, 1},
{711.519,  250, 1},
{711.563,  250, 2},
{711.699,  200, 1},
{711.990,  350, 2},
{723.132,  800, 2},
{723.642, 1000, 2}
}
#declare LS_Nitrogen=array[121][3]{ // N 7 15
{383.837,  285, 2},
{391.900,  360, 2},
{393.852,   90, 3},
{395.585,  450, 2},
{399.500, 1000, 2},
{399.863,  150, 3},
{400.358,  200, 3},
{403.508,  360, 2},
{404.131,  550, 2},
{404.353,  360, 2},
{405.776,  150, 4},
{409.733,  250, 3},
{409.994,  140, 1},
{410.343,  200, 3},
{410.995,  185, 1},
{417.616,  285, 2},
{419.576,  120, 3},
{420.010,  150, 3},
{422.774,  285, 2},
{423.691,  285, 2},
{423.705,  220, 2},
{424.178,  450, 2},
{433.291,   90, 3},
{434.568,  120, 3},
{437.911,  300, 3},
{443.274,  285, 2},
{444.703,  650, 2},
{451.091,   90, 3},
{451.486,  120, 3},
{453.041,  360, 2},
{460.148,  550, 2},
{460.373,  350, 5},
{460.633    90, 4},
{460.716,  450, 2},
{461.387,  360, 2},
{461.998   250, 5},
{462.139,  450, 2},
{463.054,  870, 2},
{463.414,   90, 3},
{464.064,  120, 3},
{464.308,  550, 2},
{478.813,  285, 2},
{480.329,  450, 2},
{484.738,  180, 1},
{485.882,   90, 3},
{486.715,  150, 3},
{489.511,  285, 2},
{491.494,  160, 1},
{493.512,  210, 1},
{494.456   200, 5},
{495.023,  160, 1},
{496.398,  350, 1},
{498.737,  285, 2},
{499.436,  450, 2},
{500.148,  650, 2},
{500.270,  360, 2},
{500.515,  870, 2},
{500.732,  550, 2},
{501.062,  450, 2},
{501.639,  360, 2},
{502.566,  360, 2},
{504.510,  550, 2},
{528.120,  185, 1},
{529.268,  140, 1},
{531.435,   90, 3},
{532.082,  200, 3},
{532.718,  150, 3},
{549.567,  450, 2},
{553.536,  285, 2},
{566.663,  650, 2},
{567.602,  550, 2},
{567.956,  870, 2},
{568.621,  450, 2},
{571.077,  450, 2},
{574.730,  285, 2},
{575.250,  700, 1},
{576.475,  240, 1},
{582.954,  265, 1},
{585.404,  235, 1},
{592.781,  360, 2},
{593.178,  550, 2},
{594.024,  285, 2},
{594.165,  650, 2},
{595.239,  285, 2},
{599.943,  160, 1},
{600.847,  210, 1},
{616.776,  285, 2},
{637.962,  360, 2},
{638.077   150, 4},
{641.165,  185, 1},
{642.064,  210, 1},
{642.302,  210, 1},
{642.832,  210, 1},
{643.768,  185, 1},
{644.094,  235, 1},
{645.411,   90, 3},
{645.790,  185, 1},
{646.702,  120, 3},
{646.844,  300, 1},
{648.205,  750, 2},
{648.270,  360, 1},
{648.375,  300, 1},
{648.171,  265, 1},
{648.480,  325, 1},
{649.122,  160, 1},
{649.954,  210, 1},
{650.631,  185, 1},
{661.056,  750, 2},
{662.254,  185, 1},
{663.694,  185, 1},
{664.496,  235, 1},
{664.650,  185, 1},
{665.346,  235, 1},
{665.651,  210, 1},
{672.262,  185, 1}
{739.864,  210, 1},
{740.612,  160, 1},
{740.624,  265, 1},
{742.364,  685, 1},
{744.229,  785, 1},
{746.831,  900, 1},
}
#declare LS_Oxygen=array[96][3]{ // O 8 16
{380.314,  160, 2},
{382.341,  120, 1},
{391.196,  450, 2},
{391.929,  160, 2},
{394.729,  185, 1},
{394.748,  160, 1},
{394.759,  140, 1},
{395.437,  220, 2},
{395.461,  100, 1},
{396.159,  200, 3},
{397.326,  450, 2},
{398.220,  220, 2},
{406.990,  160, 2},
{407.216,  285, 2},
{407.587,  450, 2},
{408.391,   80, 2},
{408.714,   50, 2},
{408.927,  150, 2},
{409.724,  110, 2},
{410.500,  220, 2},
{411.922,  285, 2},
{413.281,  160, 2},
{414.606,   50, 2},
{415.330,  220, 2},
{418.546,  285, 2},
{418.979,  450, 2},
{423.327,   80, 1},
{425.374,   50, 2},
{425.398,   50, 2},
{427.547,   50, 2},
{430.378,   50, 2},
{431.714,  285, 2},
{433.686,  160, 2},
{434.556,  220, 2},
{434.943,  285, 2},
{436.690,  220, 2},
{436.825,  100, 1},
{439.595,  220, 2},
{441.491,  450, 2},
{441.698,  285, 2},
{444.821,  160, 2},
{445.238,  160, 2},
{446.545,   50, 2},
{446.628,   50, 2},
{446.783,   50, 2},
{446.941,   50, 2},
{459.097,  360, 2},
{459.617,  285, 2},
{460.939,   80, 2},
{463.885,  160, 2},
{464.181,  360, 2},
{464.914,  450, 2},
{465.084,  160, 2},
{466.164,  360, 2},
{467.623,  285, 2},
{469.921,  220, 2},
{470.536,  285, 2},
{492.460,  160, 2},
{494.306,  220, 2},
{532.910,  135, 1},
{532.968,  160, 1},
{533.074,  190, 1},
{543.518,   90, 1},
{543.578,  110, 1},
{543.686,  135, 1},
{557.734,  120, 1},
{559.237,  110, 3},
{595.839,  160, 1},
{595.858,  190, 1},
{599.528,   80, 1},
{604.623,  160, 1},
{604.644,  190, 1},
{604.649,  110, 1},
{610.627,  100, 1},
{615.598,  400, 1},
{615.677,  450, 1},
{615.818,  490, 1},
{625.683,   80, 1},
{626.155,  100, 1},
{636.634,  100, 1},
{637.432,  100, 1},
{645.360,  320, 1},
{645.444,  360, 1},
{645.598,  400, 1},
{660.491,   80, 1},
{665.383,  100, 1},
{700.192,  360, 1},
{700.223,  450, 1},
{715.670,  210, 1},
{725.415,  400, 1},
{725.445,  450, 1},
{725.453,  320, 1},
{747.644,  210, 1},
{747.724,  100, 1},
{747.908,  120, 1},
{748.067,  120, 1},
} 
#declare LS_Fluorine=array[118][3]{ // F  9 17
{380.583,  140, 2},
{384.709,  270, 2},
{384.999,  260, 2},
{385.167,  250, 2},
{389.848,    5, 1},
{389.883,  190, 2},
{390.193,  180, 2},
{390.382,  170, 2},
{393.069,    8, 1},
{393.426,    5, 1},
{394.856,    5, 1},
{397.204,  150, 2},
{397.267,  160, 2},
{397.478,  170, 2},
{402.473,  240, 2},
{402.501,  220, 2},
{402.549,  230, 2},
{408.391,  160, 2},
{410.307,  190, 2},
{410.322,  170, 2},
{410.351,  200, 2},
{410.371,  180, 2},
{410.387,  170, 2},
{410.916,  170, 2},
{411.654,  160, 2},
{411.921,  150, 2},
{420.715,  140, 2}, 
{422.516,  170, 2},
{424.412,  150, 2},
{424.623,  200, 2},
{424.639,  190, 2},
{424.659,  180, 2},
{424.677,  170, 2},
{424.684,  160, 2},
{427.536,  170, 2}, 
{427.753,  160, 2},
{427.893,  160, 2},
{429.917,  200, 2},
{442.030,  140, 3},
{442.735,  120, 3},
{443.232,  120, 3},
{444.653,  160, 2},
{444.672,  170, 2},
{444.719,  180, 2},
{447.999,  140, 3},
{473.438,  140, 2},
{485.939,  170, 2},
{493.326,  160, 2},
{496.065,    6, 1},
{500.200,  140, 2},
{501.254,  150, 3},
{511.099,  160, 3},
{517.325,  150, 2},
{523.041,   15, 1},
{527.901,   12, 1},
{554.052,   18, 1}, 
{555.243,   12, 1},
{557.733,   10, 1},
{558.927,  160, 2},
{562.406,   20, 1},
{562.693,   12, 1},
{565.915,   15, 1},
{566.753,   40, 1},
{567.167,   90, 1},
{568.914,   18, 1},
{570.082,   25, 1},
{570.731,   25, 1},
{575.317,  140, 3},
{576.120,  120, 3},
{595.015,   12, 1},
{595.919,   25, 1},
{596.528,   70, 1},
{599.443,   50, 1},
{601.583,  150, 1},
{603.804,   80, 1},
{604.754,  900, 1},
{608.011,  100, 1},
{609.182,  150, 3},
{612.550,  140, 3},
{614.976,  800, 1},
{621.087,  400, 1},
{623.357,  130, 3},
{623.965,13000, 1},
{624.790,  140, 2},
{634.851,10000, 1},
{636.305,  140, 3},
{641.365, 8000, 1},
{656.969,  450, 1},
{658.039,  300, 1},
{665.041,  400, 1},
{669.048, 1800, 1},
{670.828,  400, 1},
{677.398, 7000, 1},
{679.553, 1500, 1},
{683.426, 9000, 1},
{685.603,50000, 1},
{687.022, 8000, 1},
{690.248,15000, 1},
{690.982, 6000, 1},
{696.635, 4000, 1},
{703.747,45000, 1},
{712.789,30000, 1},
{717.990,  130, 2},
{720.236,15000, 1},
{721.179,  130, 2},
{730.903, 1000, 1},
{731.102,15000, 1},
{731.430,  700, 1},
{733.196, 5000, 1},
{733.677,  120, 3},
{735.494,  130, 3},
{739.869,10000, 1},
{742.565, 4000, 1},
{748.272, 2200, 1},
{748.916, 2500, 1},
{751.492,  900, 1},
{755.224, 5000, 1},
{757.338, 5000, 1},
}
#declare LS_Neon=array[92][3]{ // Ne 10 18
{381.843,  100, 2},
{382.975,  120, 2},
{421.974,  150, 2},
{423.385,  100, 2},
{425.065,  120, 2},
{436.986,  120, 2},
{437.940,   70, 2},
{437.955,  150, 2},
{438.506,  100, 2},
{439.199,  200, 2},
{439.799,  150, 2},
{440.930,  150, 2},
{441.322,  100, 2},
{442.139,  100, 2},
{442.852,  100, 2},
{442.863,  100, 2},
{443.090,  150, 2},
{443.094,  150, 2},
{445.705,  120, 2},
{452.272,  100, 2},
{453.775,   10, 1},
{454.038,   10, 1},
{456.906,  100, 2},
{470.440,   15, 1},
{470.886,   12, 1},
{471.007,   10, 1},
{471.207,   10, 1},
{471.535,   15, 1},
{475.273,   10, 1},
{478.893,   12, 1},
{479.022,   10, 1},
{482.734,   10, 1},
{488.492,   10, 1},
{500.516,    4, 1},
{503.775,   10, 1},
{514.494,   10, 1},
{533.078,   25, 1},
{534.109,   20, 1},
{534.328,    8, 1},
{540.056,   60, 1},
{556.277,    5, 1},
{565.666,   10, 1},
{571.923,    5, 1},
{574.830,   12, 1},
{576.442,   80, 1},
{580.445,   12, 1},
{582.016,   40, 1},
{585.249,  500, 1},
{587.283,  100, 1},
{588.190,  100, 1},
{590.246,   60, 1},
{590.643,   60, 1},
{594.483,  100, 1},
{596.547,  100, 1},
{597.463,  100, 1},
{597.553,  120, 1},
{598.791,   80, 1},
{603.000,  100, 1},
{607.434,  100, 1},
{609.616,   80, 1},
{612.845,   60, 1},
{614.306,  100, 1},
{616.359,  120, 1},
{618.215,  250, 1},
{621.728,  150, 1},
{626.650,  150, 1},
{630.479,   60, 1},
{633.443,  100, 1},
{638.299,  120, 1},
{640.225,  200, 1},
{650.653,  150, 1},
{653.288,   60, 1},
{659.895,  150, 1},
{665.209,   70, 1},
{667.828,   90, 1},
{671.704,   20, 1},
{692.947,  100, 1},
{702.405,   90, 1},
{703.241,  100, 1},
{705.129,   50, 1},
{705.911   ,80, 1}
{717.394,  100, 1},
{721.320,  150, 2},
{723.519,  150, 2},
{724.517,  100, 1},
{734.394,  150, 2},
{747.244,   40, 1},
{748.887,   90, 1},
{749.210,  100, 2},
{752.282,  150, 2},
{753.577,   80, 1},
{754.404,   60, 1},
}         
#declare LS_Sodium=array[90][3]{ // Na 11  1
{408.137,  200, 2},
{411.370,  300, 2},
{412.308,  250, 2},
{423.326,  250, 2},
{423.899,    2, 1},
{424.037,  200, 2},
{424.090,  250, 2},
{424.208,    3, 1},
{427.364,    4, 1},
{427.679,    5, 1},
{428.784,    2, 1},
{429.101,    3, 1},
{429.248,  250, 2},
{429.286,  250, 2},
{430.881,  250, 2},
{430.904,  250, 2},
{432.091,  250, 2},
{432.140,    6, 1},
{432.462,    7, 1},
{433.729,  250, 2},
{434.149,    4, 1},
{434.411,  250, 2},
{434.474,    5, 1},
{436.860,  200, 2},
{437.522,  200, 2},
{438.749,  200, 2},
{439.003,    8, 1},
{439.281,  250, 2},
{439.334,    9, 1},
{440.512,  200, 2},
{441.989,    6, 1},
{442.325,    7, 1},
{444.670,  200, 2},
{444.741,  200, 2},
{445.474,  200, 2},
{445.523,  200, 2},
{445.721,  200, 2},
{447.463,  200, 2},
{447.880,  200, 2},
{448.167,  200, 2},
{449.015,  200, 2},
{449.087,  200, 2},
{449.418,   10, 1},
{449.766,   11, 1},
{449.962,  200, 2},
{450.697,  200, 2},
{451.921,  200, 2},
{452.498,  200, 2},
{453.332,  200, 2},
{454.163,    7, 1},
{454.519,    8, 1},
{455.153,  200, 2},
{459.092,  160, 2},
{472.223,  160, 2},
{473.110,  160, 2},
{473.250,  100, 2},
{474.167,  160, 2},
{476.879,  160, 2},
{478.879,  100, 2},
{481.475,   50, 2},
{483.526,   50, 2},
{514.311,   60, 2},
{519.165,  100, 2},
{520.333,   50, 2},
{520.855,   80, 2},
{539.063,   60, 2},
{540.046,   70, 2},
{541.455,   90, 2},
{568.263,    5, 1},
{568.820,    9, 1},
{588.995,   32, 1},
{589.592,   16, 1},
{617.525,   60, 2},
{619.926,   70, 2},
{623.468,   70, 2},
{626.001,   80, 2},
{627.474,   80, 2},
{631.080,   60, 2},
{635.283,   60, 2},
{635.805,   60, 2},
{636.115,   70, 2},
{636.641,   70, 2},
{637.891,   60, 2},
{647.529,   50, 2},
{651.421,   90, 2},
{652.468,   80, 2},
{653.070,  130, 2},
{654.404,  130, 2},
{654.575,  130, 2},
{655.243,   80, 2},
}
#declare LS_Magnesium=array[80][3]{ // Mg 12  2
{382.930,  140, 1},
{383.230,  300, 1},
{383.829,  500, 1},
{384.824,    8, 2}, 
{384.891,    1, 1},
{385.040,    7, 2},
{385.396,    2, 1},
{385.496,    1, 1},
{385.886,    2, 1},
{387.831,    3, 1},
{389.191,    2, 1},
{389.330,    2, 1},
{389.557,    3, 1},
{390.386,    4, 1},
{393.840,    6, 1},
{398.421,    1, 1},
{398.675,    8, 1},
{405.469,    2, 1},
{405.750,   10, 1},
{407.506,    3, 1},
{408.183,    2, 1},
{416.510,    4, 1},
{416.727,   15, 1},
{435.191,   20, 1},
{435.453,    6, 1},
{438.038,    6, 1},
{438.464,    9, 2},
{439.059,   10, 2},
{442.800,    8, 2},
{443.399,    9, 2},
{443.649,    5, 2},
{443.660,    4, 2},
{448.116,   14, 2},
{448.133,   13, 2},
{453.429,    6, 2},
{457.110,   28, 1},
{462.130,    3, 1},
{470.299,    7, 1},
{473.003,   10, 1},
{473.959,    6, 2},
{473.971,    5, 2},
{485.110,    7, 2},
{491.600,   10, 3},
{516.733,   75, 1},
{517.268,  220, 1},
{518.361,  400, 1},
{526.421,    8, 2},
{526.437,    7, 2},
{534.598,    1, 1},
{540.154,    9, 2},
{550.960,    2, 1},
{552.841,    6, 1},
{571.109,   30, 1},
{578.531,    5, 1},
{578.556,    4, 1},
{583.982,   10, 3},
{591.643,    7, 2},
{591.816,    6, 2},
{625.675,   15, 3},
{631.872,   10, 1},
{631.924,    9, 1},
{631.949,    7, 1},
{634.674,   10, 2},
{634.696,    9, 2},
{654.597,   11, 2},
{662.044,    5, 2},
{662.057,    6, 2},
{663.083,    2, 1},
{678.145,    7, 2},
{678.785,    8, 2},
{681.286,    7, 2},
{681.927,    8, 2},
{689.490,    4, 1},
{696.540,    6, 1},
{706.041,    8, 1} 
{719.317,   10, 1},
{729.106,   10, 1},
{738.700,    5, 1},
{738.769,   12, 1}, 
{758.076,    4, 2},
}
#declare LS_Aluminium=array[67][3]{ // Al 13 13
{390.068,  450, 2},
{393.200,   60, 1},
{394.400, 4500, 1},
{396.152, 9000, 1},
{398.014,  110, 3},
{399.586,  110, 2},
{408.245,  110, 3},
{408.861,  150, 3},
{414.237,  110, 3},
{414.992,  650, 3},
{415.017,  650, 3},
{422.681,  290, 2},
{436.464,  110, 3},
{447.989,  650, 3},
{447.997,  650, 3},
{451.256,  760, 3},
{452.894,  550, 3},
{452.919,  870, 3},
{458.582,  150, 2},
{458.819,  110, 2},
{466.680,  550, 2},
{470.115,  110, 3}
{470.141,  150, 3},
{489.876,  110, 2},
{490.277,  110, 2},
{490.410,  110, 3},
{528.021,  150, 2},
{510.752,   70, 1},
{515.101,  110, 3},
{516.389,  110, 3},
{528.377,  290, 2},
{528.585,  150, 2},
{531.232,  110, 2},
{531.607,  220, 2},
{537.184,  150, 2},
{555.706,  180, 1},
{555.795,  110, 1},
{559.323,  450, 2},
{569.660, 1200, 3},
{572.273, 1000, 3},
{585.362,  110, 2},
{597.194,  220, 2},
{600.176,  290, 2},
{600.188,  220, 2},
{600.642,  450, 2},
{605.521,  110, 3},
{606.111,  150, 2},
{606.843,  290, 2},
{606.853,  110, 2},
{607.323,  450, 2},
{618.157,  110, 2},
{618.168,  150, 2},
{618.228,  290, 2},
{618.245,  220, 2},
{618.342,  450, 2},
{620.152,  450, 2},
{620.170,  360, 2},
{622.618,  290, 2},
{623.178,  360, 2},
{624.336,  450, 2},
{633.574,  450, 2},
{669.602,  360, 1},
{669.867,  230, 1},
{708.397,   60, 1},
{708.464,   70, 1} 
{736.157,  110, 1},
{736.230,  140, 1}
}
#declare LS_Silicon=array[214][3]{ // Si 14 14 
{380.654,   30, 3},
{384.246,    7, 3},
{385.366,  100, 2},
{385.602,  500, 2},
{386.260,  200, 2},
{390.552,  300, 1},
{392.447,   20, 3},
{394.749,    6, 3},
{395.574,   10, 2},
{396.384,    6, 3},
{397.746,   10, 2},
{398.124,    5, 3},
{399.177,   15, 2},
{399.801,   10, 2},
{403.139,    1, 4},
{403.806,    2, 4},
{407.545,   20, 2},
{407.678,   15, 2},
{408.885,   10, 4},
{410.186,    5, 3},
{410.242,    8, 3},
{410.294,   70, 1},
{411.550,    5, 3},
{411.610,    9, 4},
{412.807,  300, 2},
{413.089,  500, 2},
{418.335,   10, 2},
{419.072,  100, 2},
{419.813,   50, 2},
{421.241,    7, 4},
{431.410,    3, 4},
{432.818,    5, 4},
{433.850,    9, 3},
{434.140,    8, 3},
{437.763,    8, 3},
{440.373,    2, 4},
{440.590,    6, 3},
{440.672,    8, 3},
{441.165,    1, 4},
{449.405,    6, 3},
{455.262,   30, 3},
{455.400,    8, 3},
{456.782,   25, 3},
{457.476,   20, 3},
{461.127,    1, 4},
{461.966,    7, 3},
{462.142,  100, 2},
{462.172,  150, 2},
{462.862,    3, 4},
{463.124,    9, 4},
{463.828,    7, 3},
{465.432,   10, 4},
{465.692,    3, 4},
{466.587,    8, 3},
{466.714,    1, 4},
{467.330,    2, 4},
{468.302,    9, 3},
{468.380,    7, 3},
{471.665,   16, 3},
{473.052,    7, 3},
{478.299,   50, 1},
{479.221,   35, 1},
{479.232,   80, 1},
{480.043,    8, 3},
{481.333,   15, 3},
{481.972,   16, 3},
{482.897,   18, 3},
{488.320,   15, 2},
{490.699,   20, 2},
{493.280,   20, 2},
{494.761,   30, 1},
{494.745,    1, 4},
{495.011,    3, 4},
{500.606,   40, 1},
{504.103, 1000, 2},
{505.598, 1000, 2},
{509.142,   10, 3},
{511.376,    7, 3},
{511.412,    8, 3},
{518.190,  100, 2},
{518.525,  100, 2},
{519.286,  200, 2},
{519.726,    5, 3},
{520.241,  500, 2},
{529.519,   30, 2},
{530.497,    2, 4},
{530.949,    1, 4},
{540.534,  100, 2},
{541.724,   15, 2},
{542.892,   15, 2},
{543.289,   15, 2},
{543.862,  100, 2},
{544.726,   20, 2},
{545.146,    6, 3},
{545.449,   15, 2},
{545.645,  100, 2},
{546.643,  500, 2},
{546.687,  500, 2},
{547.305,    7, 3},
{546.921,  100, 2},
{549.323,   40, 1},
{549.645,  200, 2},
{551.754,   35, 1},
{554.074,  100, 2},
{557.666,  150, 2},
{562.222,   30, 1},
{563.297,  100, 2},
{563.948,  200, 2},
{564.561,   90, 1},
{566.066,  150, 2},
{566.555,   80, 1},
{566.956, 1000, 2},
{568.144,   30, 2},
{568.448,  120, 1},
{568.881,  300, 2},
{569.043,  100, 1},
{570.111,   90, 1},
{570.137,  200, 2},
{570.460,    7, 3},
{570.637,  100, 2},
{570.840,  160, 1},
{571.629,    8, 3},
{573.973,   20, 3},
{574.767,   45, 1},
{575.363,   45, 1},
{575.422,   45, 1},
{576.298,   45, 1},
{577.215,   70, 1},
{578.038,   70, 1},
{578.573,   30, 2},
{579.307,   90, 1},
{579.490,   30, 2},
{579.786,  100, 1},
{580.047,  150, 2},
{580.674,  200, 2},
{582.780,   30, 2},
{584.613,   50, 2},
{586.748,   10, 2},
{586.840,  300, 2},
{587.376,   40, 1},
{589.879,   10, 3},
{591.522,  150, 2},
{594.855,  200, 1},
{595.756,  500, 2},
{597.893,  500, 2},
{606.745,   10, 2},
{608.006,   20, 2},
{608.667,   10, 2},
{612.502,   90, 1},
{613.157,   85, 1},
{613.185,   90, 1},
{614.249,  100, 1},
{614.502,  100, 1},
{615.513,  160, 1},
{623.732,  160, 1},
{623.829,   40, 1},
{624.381,  125, 1},
{624.447,  125, 1},
{625.419,  180, 1},
{631.446,    7, 3},
{633.195,   45, 1},
{634.710, 1000, 2},
{637.136, 1000, 2},
{652.436,    6, 3},
{652.661,   45, 1},
{652.720,   45, 1},
{655.546,   45, 1},
{666.052,   50, 2},
{666.500,   15, 2},
{666.756,    5, 4},
{667.188,  100, 2},
{669.938,   20, 2},
{670.121,    7, 4},
{671.704,   50, 2},
{672.185,  100, 1},
{674.164,   30, 1},
{675.028,   20, 2},
{681.845,   30, 2},
{682.982,   50, 2},
{683.156,    6, 3},
{684.857,   30, 1},
{685.165,    7, 3},
{697.652,   80, 1},
{699.836,    3, 4},
{700.357,  180, 1},
{700.588,  180, 1},
{701.728,   30, 1},
{701.765,   90, 1},
{703.490,  250, 1},
{704.794,    6, 4},
{706.841,    4, 4},
{716.469,   70, 1},
{716.555,  200, 1},
{718.489,   70, 1},
{719.358,   65, 1},
{719.390,   30, 1},
{722.621,  100, 1},
{723.533,  100, 1},
{723.582,   60, 1},
{725.063,  180, 1},
{727.529,  160, 1},
{728.281,   40, 1},
{728.917,  400, 1},
{729.026,   55, 1},
{737.300,   35, 1},
{740.577,  375, 1},
{740.908,  200, 1},
{741.535,   40, 1},
{741.595,  275, 1},
{742.350,  425, 1},
{742.460,   85, 1}
{746.189,    5, 3},
{746.262,    8, 3},
{746.632,    9, 3},
}
#declare LS_Phosphorus=array[96][3]{ // P 15 15 
{390.481,  200, 3},
{391.431,  250, 3},
{395.764,  300, 3},
{397.831,  350, 3},
{405.744,  200, 3},
{405.931,  400, 3},
{408.008,  300, 3},
{408.318,  150, 5},
{409.495   110, 5},
{417.848,  100, 2},
{422.220,  500, 3},
{424.672,  350, 3},
{424.966,  300, 4},
{428.860,  200, 2},
{438.535,  200, 2},
{442.071,  400, 2},
{442.817,  200, 3},
{445.246,  100, 2},
{446.300,  150, 2},
{446.367,  200, 3},
{446.798,  120, 2},
{447.526,  200, 2},
{447.978,  250, 3},
{449.924,  200, 2},
{453.081,  120, 2},
{454.029,  250, 4},
{454.111,  250, 4},
{454.806,  150, 4},
{454.845,  200, 4},
{455.483,  120, 2},
{455.807,  120, 2},
{458.171,  120, 2},
{458.804,  500, 2},
{458.986,  500, 2},
{460.208,  600, 2},
{462.670,  300, 2},
{465.831,  300, 2},
{486.442,  200, 2},
{492.720,  150, 2},
{494.353,  500, 2},
{495.439,  300, 2},
{496.971,  300, 2},
{515.672   110, 5},
{519.141,  150, 2},
{523.550,  150, 4},
{525.352,  300, 2},
{529.613,  400, 2},
{531.607,  250, 2},
{534.475,  300, 2},
{537.820,  250, 2},
{538.688,  300, 2},
{540.972,  200, 2},
{542.591,  400, 2},
{545.074,  400, 2},
{545.831,  100, 1},
{546.120,  125, 2},
{547.775,  200, 1},
{548.355,  200, 2},
{549.973,  200, 2},
{550.719,  200, 2},
{554.114,  200, 2},
{558.327,  200, 2},
{558.834,  250, 2},
{572.771,  100, 2},
{598.977,  150, 4},
{602.418,  500, 2},
{603.404,  400, 2},
{604.312,  500, 2},
{605.550,  250, 2},
{605.786,  100, 2},
{608.341,  150, 3},
{608.782,  350, 2},
{609.768,  150, 1},
{614.261,  150, 4},
{616.559,  350, 2},
{619.901,  180, 1},
{623.229,  100, 2},
{636.727,  200, 2},
{640.920,  150, 3},
{643.532,  250, 2},
{643.631,  130, 2},
{645.999,  600, 2},
{648.444,  150, 3},
{648.638,  150, 3},
{650.346,  600, 2},
{650.797,  600, 2},
{671.328,  150, 2},
{671.394,  150, 4},
{671.591,  120, 4},
{671.742,  120, 1},
{699.269,  150, 3}
{716.545,  100, 1},
{717.512,  150, 1},
{717.666,  120, 1},
{744.366,  200, 4},
{750.576,  100, 1}
}
#declare LS_Sulfur=array[49][3]{ // S 16 16 
{383.830,  160, 3},
{386.760,  285, 1},
{390.200,  285, 1},
{392.860,  160, 3},
{393.330,  360, 2},
{412.080,  450, 1},
{414.230,  280, 2},
{414.510,  360, 2},
{415.310,  450, 2},
{416.270,  450, 2},
{425.360,  360, 3},
{428.500,  110, 3},
{433.270,   70, 3},
{469.410,  450, 1},
{469.540,  285, 1},
{469.620,  160, 1},
{471.620,  280, 2},
{481.550,  450, 2},
{492.410,  360, 2},
{492.530,  450, 2},
{499.350,  285, 1},
{542.860,  360, 2},
{543.280,  650, 2},
{545.380, 1000, 2},
{547.360, 1000, 2},
{550.970, 1000, 2},
{556.490,  280, 2},
{560.610, 1000, 2},
{564.000,  450, 2},
{564.030,  450, 2},
{564.700,  280, 2},
{565.990,  650, 2},
{566.470,  450, 2},
{570.610,  160, 1},
{581.920,  450, 2},
{605.270,  450, 1},
{628.640,  280, 2},
{628.710,  450, 2},
{630.550,  450, 2},
{631.270,  450, 2},
{638.490,  280, 2},
{639.730,  280, 2},
{639.800,  280, 2},
{641.370,  360, 2},
{674.360,  160, 1},
{674.880,  285, 1},
{675.720,  450, 1},
{757.900,  450, 1},
{757.900,  450, 1},
}
#declare LS_Chlorine=array[99][3]{ // Cl 17 17
{380.518, 1900, 2},
{380.946, 1300, 2},
{382.020, 1700, 2},
{382.759, 2800, 2},
{383.335, 4500, 2},
{384.320, 2500, 2},
{384.537, 3100, 2},
{384.565, 3900, 2},
{384.580, 1500, 2},
{385.099,10000, 2},
{385.137, 7900, 2},
{385.165, 1200, 2},
{386.083,25000, 2},
{386.099, 4400, 2},
{386.137, 1000, 2},
{391.387, 1500, 2},
{391.663, 1100, 2},
{392.587,  500, 3},
{394.482,   20, 1},
{399.150,  700, 3},
{401.850,  600, 3},
{405.907,  600, 3},
{410.423,  500, 3},
{410.479,   20, 1},
{410.683,  500, 3},
{413.250,10000, 2},
{420.967,   65, 1},
{422.642,   50, 1},
{426.458,   60, 1},
{436.327,  100, 1},
{436.950,  100, 1},
{437.091,  400, 3},
{437.293, 5000, 2},
{437.990,  100, 1},
{438.975,  100, 1},
{439.040,   90, 1},
{440.303,   90, 1},
{443.849,  100, 1},
{447.530,   90, 1},
{448.991, 1500, 2},
{452.619,  100, 1},
{460.098,   80, 1},
{460.821,  500, 3},
{462.394,   40, 1},
{465.404,   50, 1},
{466.121,   80, 1},
{469.152,   45, 1},
{470.314,  300, 3},
{472.126,   40, 1},
{474.073,   45, 1},
{476.865, 4300, 2},
{478.132,13000, 2},
{479.455,99000, 2},
{481.006,29000, 2},
{481.947,16000, 2},
{489.677,81000, 2},
{490.478,47000, 2},
{491.773,26000, 2},
{499.548,10000, 2},
{507.826,26000, 2},
{509.979,   30, 1},
{521.794,56000, 2},
{522.136,23000, 2},
{539.212,15000, 2},
{542.323,99000, 2},
{542.351,10000, 2},
{544.337,19000, 2}
{544.421,10000, 2}
{545.702, 5600, 2},
{553.216,   40, 1},
{579.631,   50, 1},
{579.991,   45, 1},
{585.674,   30, 1},
{594.858,  100, 1},
{601.981,   50, 1},
{608.261,   35, 1},
{609.469, 1900, 2},
{611.443,  160, 1},
{614.025,  200, 1},
{619.476,  160, 1},
{639.866,  160, 1},
{643.483,  150, 1},
{653.143,  150, 1},
{666.167, 1400, 2},
{667.843,  150, 1},
{668.602, 1300, 2},
{671.341, 1200, 2},
{684.029,  150, 1},
{486.375,  100, 3},
{693.290,  300, 1},
{497.164,   10, 3},
{698.189,  300, 1},
{708.681,  600, 1},
{725.662, 7500, 1},
{741.411, 5000, 1},
{746.237,  550, 1},
{748.947,  550, 1},
{749.212,  700, 1},
{754.707,11000, 1},
}
#declare LS_Argon=array[201][3]{ // Ar 18 18 
{380.946,   50, 2},
{383.468,    7, 1},
{385.058,   70, 2},
{385.832,   10, 3},
{386.853,   35, 2},
{390.784,    7, 3},
{392.572,   35, 2},
{392.862,   50, 2},
{393.255,   25, 2},
{394.610,   70, 2},
{394.751,    7, 1},
{394.898,   35, 1},
{396.053,    8, 3},
{397.936,   20, 2},
{399.479,   35, 2},
{401.386,   50, 2},
{402.360,    6, 3},
{403.381,   50, 2},
{403.546,   20, 2},
{404.289,  150, 2},
{404.442,   50, 1},
{405.292,  100, 2},
{407.201,  200, 2},
{407.239,   70, 2},
{407.663,   25, 2},
{407.957,   35, 2},
{408.239,   25, 2},
{410.391,  150, 2},
{413.172,  300, 2},
{414.670,    5, 3},
{415.609,   35, 2},
{415.859,  400, 1},
{416.418,   50, 1},
{417.930,   35, 2},
{418.188,   50, 1},
{419.071,  100, 1},
{419.103,   50, 1},
{419.832,  200, 1},
{420.067,  400, 1},
{421.867,   25, 2},
{422.264,   25, 2},
{422.699,   25, 2},
{422.816,  100, 2},
{423.722,  100, 2},
{425.119,   25, 1},
{425.936,  200, 1},
{426.629,  100, 1},
{426.653,   70, 2},
{427.217,  150, 1},
{427.753,  550, 2},
{428.290,   20, 2},
{430.010,  100, 1},
{430.065,   25, 2},
{430.924,   70, 2},
{433.120,  200, 2},
{433.203,   50, 2},
{433.356,  100, 1},
{433.534,   50, 1},
{434.517,   25, 1},
{434.806,  800, 2},
{435.221,   50, 2},
{436.207,   25, 2},
{436.783,   50, 2},
{437.075,  200, 2},
{437.133,   70, 2},
{437.595,   50, 2},
{437.967,  150, 2},
{438.506,   50, 2},
{440.010,   70, 2},
{440.099,  200, 2},
{442.600,  400, 2},
{443.019,  150, 2},
{443.100,   50, 2},
{443.384,   50, 2},
{443.946,   20, 2},
{444.888,   35, 2},
{447.476,  100, 2},
{448.181,  200, 2},
{451.073,  100, 1},
{452.232,   20, 1},
{453.055,   20, 2},
{454.505,  400, 2},
{456.441,   20, 2},
{457.935,  400, 2},
{458.990,  400, 2},
{459.610,   15, 1},
{460.957,  550, 2},
{462.844,    7, 1},
{463.723,   35, 2},
{465.790,  400, 2},
{470.232,   15, 1},
{472.159,   20, 2},
{472.687,  550, 2},
{473.205,   50, 2},
{473.591,  300, 2},
{476.487,  800, 2},
{480.602,  550, 2},
{484.781,  150, 2},
{486.591,   50, 2},
{487.986,  800, 2},
{488.904,   70, 2},
{490.475,   20, 2},
{493.321,   35, 2},
{496.508,  200, 2},
{500.933,   50, 2},
{501.716,   70, 2},
{506.204,   70, 2},
{509.050,   20, 2},
{514.178,  100, 2},
{514.531,   70, 2},
{515.139,    5, 1},
{516.229,   15, 1},
{516.577,   25, 2},
{518.775,   20, 1},
{521.681,   20, 2},
{522.127,    7, 1},
{542.135,    5, 1},
{545.165,   10, 1},
{549.587,   25, 1},
{550.611,    5, 1},
{555.870,   25, 1},
{557.254,   10, 1},
{560.673,   35, 1},
{565.070,   20, 1},
{573.952,   10, 1},
{583.426,    5, 1},
{586.031,   10, 1},
{588.262,   15, 1},
{588.858,   25, 1},
{591.209,   50, 1},
{592.881,   15, 1},
{594.267,    5, 1},
{598.730,    7, 1},
{599.900,    5, 1},
{602.515,    5, 1},
{603.213,   70, 1},
{604.322,   35, 1},
{605.272,   10, 1},
{605.937,   20, 1},
{609.880,    7, 1},
{610.564,   10, 1},
{611.492,  100, 2},
{614.544,   10, 1},
{617.017,    7, 1},
{617.228,  150, 2},
{617.310,   10, 1},
{621.250,   10, 1},
{621.594,    5, 1},
{624.312,   25, 2},
{629.687,    7, 1},
{630.766,   15, 1},
{636.958,    7, 1},
{638.472,   20, 1},
{641.631,   70, 1},
{648.308,   25, 2},
{653.811,   15, 1},
{660.485,   15, 1},
{663.822,   25, 2},
{663.974,   20, 2},
{664.370,   50, 2},
{666.068,    5, 1},
{666.405,    5, 1},
{666.636,   25, 2},
{667.728,  100, 1},
{668.429,   35, 2},
{675.283,  150, 1},
{675.616,    5, 1},
{676.661,   15, 1},
{686.127,   20, 2},
{687.129,  150, 1},
{687.958,    5, 1},
{688.817,   10, 1},
{693.766,   50, 1},
{695.148,    7, 1},
{696.025,    7, 1},
{696.543,10000, 1},
{703.025,  150, 1},
{706.722,10000, 1},
{706.874,  100, 1},
{710.748,   25, 1},
{712.582,   25, 1},
{714.704, 1000, 1},
{715.884,   15, 1},
{720.698,   70, 1},
{726.517,   15, 1},
{727.066,    7, 1},
{727.294, 2000, 1},
{731.172,   35, 1},
{731.600,   25, 1},
{735.081,    5, 1},
{735.329,   70, 1},
{737.212,  200, 1},
{738.043,   20, 2},
{738.398,10000, 1},
{739.298,   20, 1},
{741.234,   15, 1},
{742.529,   10, 1},
{743.537,   25, 1},
{743.630,   10, 1},
{750.387,20000, 1},
{751.465,15000, 1},
}
#declare LS_Potassium=array[85][3]{ // K 19  1
{380.014,    6, 2},
{381.656,    6, 2},
{381.750,    7, 2},
{387.374,    5, 2},
{387.862,    4, 2},   
{388.550,    1, 3},
{389.792,    8, 2},
{392.300,    5, 2},
{392.636,    5, 2},
{394.253,    6, 2},
{395.521,    6, 2},
{396.672,    6, 2},
{397.258,    6, 2},
{399.510,    6, 2},
{400.124,    7, 2},
{401.210,    5, 2},
{404.259,    6, 2},
{404.414,   18, 1},
{404.721,   17, 1},
{409.369,    5, 2},
{411.499,    6, 2},
{413.472,    7, 2},
{414.919,    7, 2},
{418.624,    8, 2},
{422.297,    7, 2},
{422.567,    7, 2},
{426.340,    7, 2},
{430.500,    7, 2},
{430.910,    7, 2},
{434.003,    5, 2},
{438.816,    7, 2},
{446.665,    5, 2},
{450.533,    6, 2},
{459.565,    5, 2},
{460.845,    8, 2},
{464.188,   10, 1},
{464.237,   11, 1},
{465.938,    5, 2},
{474.091,    4, 1},
{474.435,    6, 1},
{475.393,    5, 1},
{475.739,    7, 1},
{478.649,    5, 1},
{479.105,    7, 1},
{479.975,    6, 1},
{480.435,    8, 1},
{482.923,    9, 2},
{484.986,    7, 1},
{485.609,    8, 1},
{486.348,    8, 1},
{486.976,    9, 1},
{494.202,    8, 1},
{494.329,    6, 2},
{495.082,    9, 1},
{495.615,    9, 1},
{496.503,   10, 1},
{500.560,    8, 2},
{505.627,    7, 2},
{508.423,   10, 1},
{509.717,   11, 1},
{509.920,   11, 1},
{511.225,   12, 1},
{531.024,    5, 2},
{532.328,   12, 1},
{533.969,   13, 1},
{534.297,   12, 1},
{535.957,   14, 1},
{547.013,    6, 2},
{564.273,    5, 2},
{577.232,    4, 2},
{578.238,   16, 1},
{580.175,   17, 1},
{581.215,   15, 1},
{583.189,   17, 1},
{596.964,    2, 2},
{612.027,    8, 2},
{624.659,    6, 2},
{630.729,    7, 2},
{642.796,    5, 2},
{659.500,    2, 2},
{691.108,   19, 1},
{693.628,   12, 1},
{693.877,   20, 1},
{696.418,    7, 1},
{696.467,   12, 1},
}
#declare LS_Calcium=array[141][3]{ // Ca 20  2
{387.048,    9, 1},
{387.254,   11, 1},
{387.256,   11, 1},
{387.578,   12, 1},
{387.580,   12, 1},
{388.910,    6, 1},
{392.348,    6, 1},
{393.366,  230, 2},
{393.529,    9, 1},
{394.604,    6, 1},
{394.890,   15, 1},
{395.705,   17, 1},
{396.847,  220, 2},
{397.257,    8, 1},
{397.371,   18, 1},
{408.177,   15, 3},
{409.710,   50, 2},
{409.853,   15, 1},
{409.857,   15, 1},
{410.982,   60, 2},
{411.028,   30, 2},
{415.357,   15, 3},
{416.431,   15, 3},
{418.420,   15, 3},
{420.618,   40, 2},
{420.724,   18, 3},
{422.007,   50, 2},
{422.673,   50, 1},
{423.374,   17, 3},
{424.046,   15, 1},
{424.074,   16, 3},
{428.301,   24, 1},
{428.439,   15, 3},
{428.936,   22, 1},
{429.899,   22, 1},
{430.253,   25, 1},
{430.281,   20, 3},
{430.774,   23, 1},
{431.865,   22, 1},
{432.919,   15, 3},
{433.357,   16, 3},
{435.508,   20, 1},
{435.838,   15, 3},
{439.959,   19, 3},
{440.629,   17, 3},
{442.544,   25, 1},
{443.130,   17, 3},
{443.496,   26, 1},
{443.569,   25, 1},
{445.478,   30, 1},
{445.589,   28, 1},
{445.661,   20, 1},
{447.204,   20, 2},
{447.923,   10, 2},
{448.918,   20, 2},
{449.988,   19, 3},
{451.659,   18, 3},
{452.694,   23, 1},
{457.212,   18, 3},
{457.855,   22, 1},
{458.140,   23, 1},
{458.147,   23, 1},
{458.587,   24, 1},
{458.596,   24, 1},
{468.527,   20, 1},
{470.883,   11, 3},
{471.627,   11, 3},
{471.674,   30, 2},
{472.103,   40, 2},
{479.997,   40, 2},
{485.917,   10, 3},
{487.813,   25, 1},
{500.148,   70, 2},
{500.895,   10, 3},
{501.997,   80, 2},
{502.114,   40, 2},
{504.162,   23, 1},
{505.007,   10, 3},
{518.885,   25, 1},
{523.182,   10, 3},
{524.737,   11, 3},
{526.171,   22, 1},
{526.224,   23, 1},
{526.424,   22, 1},
{526.556,   24, 1},
{527.027,   25, 1},
{527.198,   13, 3},
{528.527,   60, 2},
{530.132,   10, 3},
{530.722,   70, 2},
{532.129,   11, 3},
{532.806,   10, 3},
{533.919,   50, 2},
{534.947,   27, 1},
{551.298,   23, 1},
{557.058,   11, 3},
{557.906,   10, 3},
{558.197,   25, 1},
{558.876,   27, 1},
{559.012,   24, 1},
{559.447,   26, 1},
{559.849,   25, 1},
{560.129,   24, 1},
{560.285,   24, 1},
{585.745,   30, 1},
{592.272,   10, 2},
{592.369,   10, 2},
{606.998,   13, 3},
{610.272,   27, 1},
{612.222,   29, 1},
{616.129,   22, 1},
{616.217,   30, 1},
{616.376,   22, 1},
{616.644,   24, 1},
{616.906,   26, 1},
{616.956,   28, 1},
{617.322,   10, 3},
{621.398,   12, 3},
{629.489,   11, 3},
{637.011,   11, 3},
{638.755,   10, 3},
{642.451,   12, 3},
{643.907,   35, 1},
{644.981,   30, 1},
{645.560,   22, 1},
{645.687,   80, 2},
{646.257,   34, 1},
{647.166,   29, 1},
{648.535,   12, 3},
{649.378,   32, 1},
{649.965,   28, 1},
{653.878,   10, 3},
{654.224,   10, 3},
{657.278,   23, 1},
{671.769,   30, 1},
{714.815,   33, 1},
{720.219,   31, 1},
{730.869,   10, 3},
{732.615,   33, 1},
{757.581,   30, 2},
{758.111,   60, 2},
}
#declare LS_Iron=array[400][3]{ // Fe 26  8
{380.535,  200, 1},  
{380.670,   80, 1},
{381.296,  600, 1},
{381.306,   60, 1},
{381.584, 1500, 1},
{382.043, 2500, 1},
{382.118,  150, 1},
{382.431,   80, 1},
{382.444, 2500, 1},
{382.588, 1500, 1},
{382.782, 1200, 1},
{383.422, 1000, 1},
{383.926,  120, 1}
{384.044,  500, 1},
{384.105,  800, 1},
{384.326,  120, 1},
{384.680,   80, 1},
{384.996,  200, 1},
{385.082,  120, 1},
{385.637, 2500, 1},
{385.921,  150, 1},
{385.991,10000, 1},
{386.552,  150, 1},
{386.722,   60, 1},
{387.250,  250, 1},
{387.376,  150, 1},
{387.802,  250, 1},
{387.857, 2000, 1},
{388.628, 4000, 1},
{388.705,  200, 1},
{388.851,  300, 1},
{389.566,  800, 1},
{389.971, 1200, 1},
{390.295,  400, 1},
{390.648,  250, 1},
{391.673,   80, 1},
{392.026,  600, 1},
{392.291, 1200, 1},
{392.792, 1200, 1},
{393.030, 2000, 1},
{394.877,   60, 1},
{394.995,   60, 1},
{395.116,   50, 1},
{395.260,   50, 1},
{395.433,   16, 3},
{395.645,   60, 1},
{395.668,  250, 1},
{396.661,   60, 1},
{396.872,   11, 3},
{396.926,  100, 1},
{396.949,    9, 3},
{397.774,   80, 1},
{397.942,   10, 3},
{398.177,   40, 1},
{398.396,   50, 1},
{399.411,   60, 1},
{399.739,  200, 1},
{399.805,   40, 1},
{400.524,  400, 1},
{400.971,   60, 1},
{401.453,   80, 1},
{402.187,  100, 1},
{403.542,   10, 3},
{404.064,   50, 1},
{404.581, 4000, 1},
{405.311,   11, 3},
{406.359, 1500, 1},
{406.698,   50, 1},
{406.798,   50, 1},
{407.174, 1200, 1},
{407.663,   40, 1},
{408.100,   12, 3},
{410.074,   40, 1},
{410.749,   40, 1},
{411.854,  150, 1},
{412.090,   10, 3},
{412.202,   11, 3},
{412.278,   11, 3},
{412.760,   40, 1},
{413.206,  400, 1},
{413.468,   80, 1},
{413.700,   40, 1},
{413.776,   15, 3},
{413.935,   13, 3},
{414.048,    9, 3},
{414.342,  200, 1},
{414.387,  800, 1},
{415.390,   40, 1},
{415.450,   50, 1},
{415.496,    9, 3},
{415.680,   60, 1},
{416.473,   18, 3},
{416.492,    9, 3},
{416.684,   13, 3},
{417.274,   50, 1},
{417.426,   13, 3},
{417.491,   60, 1},
{417.564,   50, 1},
{417.759,   50, 1},
{418.175,  120, 1},
{418.489,   50, 1},
{418.704,  120, 1},
{418.780,  120, 1},
{419.143,   80, 1},
{419.532,   40, 1},
{419.830,  150, 1},
{419.910,   40, 1},
{420.203,  300, 1},
{420.398,   40, 1},
{420.670,   80, 1},
{421.034,   80, 1},
{421.067,    9, 3},
{421.618,  400, 1},
{421.936,  100, 1},
{422.221,   50, 1},
{422.227,   11, 3},
{422.596,   50, 1},
{422.742,  200, 1}, 
{423.317    11, 2},
{423.360,  100, 1},
{423.556,   13, 3},
{423.594,  250, 1},
{423.862,    9, 3},
{423.880,   50, 1},
{424.375,   12, 3},
{424.743,   50, 1},
{425.012,  200, 1},
{425.079,  300, 1},
{425.832,   40, 1},
{426.047,  800, 1},
{427.115,  250, 1},
{427.176, 1200, 1},
{427.340,   12, 3},
{427.972,   12, 3},
{428.240, 1200, 1},
{428.616,   14, 3},
{429.146,   80, 1},
{429.685,   16, 3},
{429.923,  250, 1},
{430.478,   18, 3},
{430.790, 1200, 1},
{431.036,   20, 3},
{431.508,  150, 1},
{432.368,    9, 3},
{432.576, 1500, 1},
{435.273,   80, 1},
{436.977,   80, 1},
{437.204,    9, 3},
{437.214,    9, 3},
{437.231,   11, 3},
{437.253,   14, 3},
{437.281,   18, 3},
{437.593,  800, 1},
{438.354, 3000, 1},
{439.576,    9, 3},
{440.475, 1200, 1},
{441.512,  300, 1},
{441.960,   12, 3},
{442.730,  600, 1},
{443.102,    9, 3},
{446.165,  400, 1},
{446.655,  120, 1},
{447.602,   80, 1},
{448.217,   80, 1},
{448.225,  200, 1},
{448.974,   50, 1},
{452.861,   50, 1},
{458.383,   11, 2},
{464.743,   30, 1},
{473.677,   30, 1},
{485.974,   50, 1},
{487.132,  120, 1},
{487.214,   60, 1},
{487.821,   30, 1},
{489.075,  100, 1},
{489.149,  250, 1},
{490.331,   30, 1},
{491.899,  150, 1},
{492.050,  500, 1},
{492.392,   12, 2},
{495.760, 1500, 1},
{499.050,   11, 2}, 
{500.186,   80, 1},
{500.191,   18, 2},  
{500.420,   11, 2},  
{500.571,   30, 1},
{500.612,  100, 1},
{501.207,   60, 1},
{501.494,   30, 1},
{501.843,   12, 2},
{503.064,   11, 2},
{503.077,   25, 1},
{503.571,   12, 2}, 
{504.176,  150, 1},
{504.982,   30, 1},
{505.163,   30, 1},
{507.475,   25, 1},
{510.073,   18, 2},
{510.095,   15, 2},
{511.036,  150, 1},
{511.107,    9, 3},
{512.735,    9, 3},
{513.369,   40, 1},
{513.925,   40, 1},
{513.946,  100, 1},
{514.436,   11, 2},
{514.946,   12, 2},
{515.191,   25, 1},
{515.612,   12, 3},
{516.227,   30, 1},
{516.628,   80, 1},
{516.749, 2500, 1},
{516.889,   80, 1},
{516.903,   12, 2},
{517.160,  500, 1},
{519.145,   50, 1},
{519.234,   80, 1},
{519.494,  200, 1},
{519.908,   10, 3},
{520.458,   30, 1},
{521.518,   25, 1},
{521.627,  150, 1},
{521.685,   18, 2},
{522.686,   60, 1},
{522.715, 1000, 1},
{522.749,   13, 2},
{523.294,  250, 1},
{523.566,   10, 3},
{524.331,   18, 3},
{524.795,   13, 2},
{525.123,   13, 2},
{526.026,   18, 2},
{526.034,   13, 3},
{526.418,   11, 2},
{526.656,  100, 1},
{526.954, 1200, 1},
{527.036,  800, 1},
{527.237,    9, 3},
{527.298,   14, 3},
{527.648,   15, 3},
{528.179,   30, 1},
{528.230,   16, 3},
{528.362,   60, 1},
{528.483,   12, 3},
{529.812,   11, 3},
{529.993,   12, 3},
{530.230,   25, 1},
{530.260,   14, 3},
{530.618,   11, 2},
{530.676,   10, 3},
{531.088,    9, 3},
{531.623,   13, 2},
{532.274,   10, 3},
{532.418,  150, 1},
{532.804,  800, 1},
{532.853,  300, 1},
{533.290,  100, 1},
{533.959,   14, 2},
{533.993,   80, 1},
{534.102,  500, 1},
{534.688,   11, 3},
{535.377,   12, 3},
{536.376,   12, 3},
{536.487,   25, 1},
{536.747,   40, 1},
{536.806,   10, 3},
{536.996,   50, 1},
{537.149,  400, 1},
{537.547,   11, 3},
{538.337,   60, 1},
{538.706,   14, 2}, 
{539.317,   40, 1},
{539.586,   12, 2},
{539.713,  300, 1},
{540.412,   60, 1},
{540.577,  250, 1},
{541.091,   30, 1},
{541.520,   60, 1},
{542.407,   60, 1},
{542.783,   30, 2},
{542.970,  250, 1},
{542.999,   13, 2}, 
{543.452,  100, 1},
{544.687,  200, 1},
{545.545,   25, 1},
{545.561,  120, 1},
{546.593,   16, 2},
{546.694,   20, 2},
{548.231,   16, 2},
{549.383,   14, 2},  
{549.752,   25, 1},
{550.146,   20, 1},
{550.620,   18, 2},
{550.678,   30, 1},
{551.078,   12, 2}, 
{552.906,   12, 2},
{554.476,   13, 2},
{556.962,   30, 1},
{557.284,   60, 1},
{558.676,  120, 1},
{561.564,  200, 1},
{562.454,   20, 1},
{564.540,   12, 2},
{566.252,   50, 1},
{571.988,   11, 3},
{574.419,    9, 3},
{575.638,   10, 3},
{576.299,   20, 1}, 
{578.363,   11, 2}, 
{583.393,   18, 3},
{584.876,    9, 3},
{585.462,   10, 3},
{586.235,   30, 1},
{587.626,    9, 3},
{588.502,   13, 2},
{589.191,   15, 3},
{589.868,    9, 3},
{590.282,   16, 2},
{591.411,   30, 1},
{591.896,    9, 3},
{592.013,   10, 3},
{592.969,   18, 3},
{595.231,   10, 3},
{595.362,   14, 3},
{595.570,   14, 2}, 
{598.696,   30, 1},
{596.171,   18, 2},
{596.240,   30, 2},
{596.563,   13, 2},
{596.848,    9, 3},
{597.932,   12, 3},
{598.101,    9, 3},
{598.908,   12, 3},
{599.954,   18, 3},
{603.102,    9, 3},
{603.259,   16, 3},
{603.656,   13, 3},
{604.872,   11, 3},
{605.418,   11, 3},
{605.636,    9, 3},
{606.548,   40, 1},
{610.216,   30, 1},
{613.661,   40, 1},
{613.769,   40, 1},
{614.773,   30, 2},
{614.924,   20, 2},
{614.999,    9, 3},
{616.974,    9, 3},
{617.516,   15, 2}, 
{618.526,    9, 3},
{618.656,    7, 3},
{619.156,   40, 1},
{619.479,    7, 3},
{619.543,    6, 3},
{620.137,    6, 3},
{620.304,    5, 3},
{621.343,   30, 1},
{621.928,   30, 1},
{623.073,   40, 1},
{623.837,   20, 2},
{624.632,   20, 1},
{624.756,   80, 2},
{625.255,   30, 1},
{625.981,    5, 3},
{629.450,    6, 3},
{630.532,   15, 2},
{633.197,   12, 2},
{635.781,    5, 3},
{638.375,   15, 2},
{639.360,   20, 1},
{640.000,   30, 1},
{641.165,   20, 1},
{641.690,   20, 2},
{642.135,   20, 1},
{643.084,   30, 1},
{644.643,   20, 2},
{645.638,  200, 2},
{649.498,   60, 1},
{651.605,   20, 2},
{654.624,   20, 1},
{659.291,   20, 1},
{667.799,   40, 1} 
{685.518,   15, 1},
{694.521,   15, 1},
{706.744,   20, 2},
{713.094,   15, 1},
{716.444,   25, 1},
{718.731,   80, 1},
{720.738,   30, 1},
{722.451,   12, 2},
{730.797,   50, 2},
{731.763,    5, 3},
{732.014,    6, 3},
{732.070,   40, 2},
{737.646,   20, 2},
{744.575,   30, 1},
{746.238,   20, 2},
{749.506,   40, 1},
{751.105,   60, 1},
{758.604,   15, 1},
}
#declare LS_Nickel=array[94][3]{ // Ni 28 10
{380.714,  700, 1},
{383.169,  110, 1},
{385.830, 1200, 1},
{388.967,   30, 1}, 
{397.217,   35, 1},
{397.356,  110, 1},
{440.155,  110, 1},
{445.904,   85, 1},
{446.246,   18, 1},
{447.048,   55, 1},
{459.253,   35, 1},
{460.037,   18, 1},
{460.500,   65, 1},
{460.623,   18, 1},
{464.866,   75, 1},
{468.622,   23, 1},
{471.442,  110, 1},
{471.578,   22, 1},
{475.652,   30, 1},
{476.395,   15, 1},
{478.654,   45, 1},
{480.700,   22, 1},
{482.903,   22, 1},
{483.118,   19, 1},
{485.541,   45, 1},
{486.627,   30, 1},
{487.344,   17, 1},
{490.441,   40, 1},
{491.836,   22, 1},
{493.583,   16, 1},
{498.016,   45, 1},
{498.413,   45, 1},
{499.202,  500, 2},
{500.034,   16, 1},
{501.246,   18, 1},
{501.759,   50, 1},
{503.537,  100, 1},
{504.885,   16, 1},
{508.052,  100, 1},
{508.111,   65, 1},
{508.408,   26, 1},
{509.932,   18, 1},
{509.995,   26, 1},
{511.540,   21, 1},
{512.938,   18, 1},
{513.708,   23, 1},
{514.277,   23, 1},
{514.648,   40, 1},
{515.576,   40, 1},
{516.866,   16, 1},
{517.656,   13, 1},
{543.587,    8, 1},
{547.691,  180, 1},
{551.000,    6, 1},
{557.873,    6, 1},
{558.786,    9, 1},
{559.228,   13, 1},
{561.479,    9, 1},
{562.533,    5, 1},
{564.970,    4, 1},
{566.402,    5, 1},
{568.220,   12, 1},
{569.500,    8, 1},
{570.956,   23, 1},
{571.190,   10, 1},
{571.509,   10, 1},
{575.468,   16, 1},
{576.085,    8, 1},
{585.776,   10, 1},
{589.288,   10, 1},
{610.812,   10, 1},
{617.681,   10, 1},
{619.118,   10, 1},
{625.636,   13, 1},
{631.466,   10, 1},
{664.364,   16, 1},
{676.777,   22, 1},
{677.232,    9, 1},
{691.456,   10, 1},
{711.090,    5, 1},
{712.220,   26, 1},
{718.200,    6, 1},
{719.702,    5, 1},
{726.193,    5, 1},
{729.145,    5, 1},
{738.524,    4, 1},
{739.360,   16, 1},
{740.935,   16, 1},
{741.451,    5, 1},
{742.228,   23, 1},
{752.276,   13, 1},
{752.512,    9, 1},
{755.560,   19, 1},
{757.405,    8, 1}
}
#declare LS_Copper=array[183][3]{ // Cu 29 11 
{380.413,  600, 3},
{380.918,  600, 3},
{381.888,  100, 2},
{382.692,  140, 2},
{386.414,  160, 2},
{388.413,  280, 2},
{388.168,  300, 3},
{389.292,  150, 2},
{390.318,  170, 2},
{392.065,  140, 2},
{393.327,  120, 2},
{395.381,  150, 3},
{398.702,  120, 2},
{399.330,  150, 2},
{400.348,  140, 2},
{402.263, 1250, 1},
{403.265,  100, 2},
{404.348,  600, 2},
{404.375,  500, 2},
{406.264, 2000, 1},
{406.811,  120, 2},
{409.049,  100, 3},
{413.136,  500, 2},
{414.302,  200, 2},
{415.362,  300, 2},
{416.114,  500, 2},
{416.428,  370, 2},
{417.185,  400, 2},
{417.951,  500, 2},
{421.187,  500, 2},
{423.045,  320, 2},
{425.564,  200, 2},
{427.511,  950, 1},
{427.996,  300, 2},
{428.340,  200, 3},
{429.247,  500, 2},
{435.197,  500, 3},
{435.280, 1000, 3},
{435.524,  500, 3},
{436.537,  400, 2},
{437.084,  500, 3},
{437.140,  500, 3},
{437.343,  500, 3},
{437.711, 1000, 3},
{438.642,  200, 3},
{444.483,  100, 2},
{450.600,  400, 2},
{451.605,  150, 2},
{454.103,  150, 2},
{455.592,  500, 2},
{459.691,  100, 2},
{464.927,  120, 2},
{465.112, 2000, 1},
{466.136,  120, 2},
{467.170,  320, 2},
{467.358,  300, 2},
{468.199,  450, 2},
{475.843,  100, 2},
{481.295,  400, 2},
{485.126,  120, 2},
{485.499,  300, 2},
{487.330,  100, 2},
{490.143,  150, 2},
{490.973, 1000, 2},
{491.838,  500, 2},
{492.642,  200, 2},
{492.741,  150, 3},
{493.170,  900, 2},
{494.303,  120, 2},
{495.372,  700, 2},
{498.551,  500, 2},
{500.680,  400, 2},
{500.985,  350, 2},
{501.262,  400, 2},
{502.128,  350, 2},
{503.902,  200, 2},
{504.735,  300, 2},
{505.179,  900, 2},
{505.891,  400, 2},
{506.546,  500, 2},
{506.709,  450, 2},
{507.230,  350, 2},
{508.828,  450, 2},
{509.382,  420, 2},
{509.428,  400, 3},
{510.007,  350, 2},
{510.554, 1500, 1},
{512.448,  250, 2},
{515.324, 2000, 1},
{515.809,  100, 2},
{516.897,  200, 3},
{518.337,  100, 2},
{520.834,  400, 3},
{521.820, 2500, 1},
{521.921,  600, 3},
{526.859,  200, 3},
{526.999,  100, 2},
{527.653,  100, 2},
{529.252, 1650, 1},
{531.778,  400, 3},
{536.838,  100, 2},
{536.979,  300, 3},
{541.848,  350, 3},
{549.494,  250, 3},
{557.394,   50, 3},
{560.900,  100, 3},
{570.024, 1500, 1},
{570.212,   75, 3},
{576.856,  100, 3},
{578.213, 1500, 1},
{580.599,  150, 2},
{583.352,  100, 2},
{585.072,  100, 3},
{589.797,  200, 2},
{593.758,  120, 2},
{594.120,  400, 2},
{596.525,  200, 3},
{599.326,  100, 2},
{600.012,  650, 2},
{602.326,  100, 2},
{607.222,  250, 2},
{608.034,  150, 2},
{609.999,  150, 2},
{610.087,   30, 3},
{610.741,  160, 2},
{611.449,  300, 2},
{615.038,  600, 2},
{615.422,  750, 2},
{617.204,  500, 2},
{618.688,  550, 2},
{618.868,  400, 2},
{619.809,  300, 2},
{620.426,  470, 2},
{620.846,  450, 2},
{621.694,  750, 2},
{621.984,  700, 2},
{626.185,  500, 2},
{627.335, 1000, 2},
{628.870,  350, 2},
{630.101,  900, 2},
{630.597,  550, 2},
{631.249,  400, 2},
{632.647,  120, 2},
{636.927,   50, 3},
{637.327,  400, 2},
{637.784,  750, 2},
{640.338,  400, 2},
{642.388,  850, 2},
{644.297,  200, 2},
{644.856,  750, 2},
{646.625,  170, 2},
{647.017,  950, 2},
{648.144,  750, 2},
{648.442,  400, 2},
{651.254,   20, 3},
{651.732,  220, 2},
{653.008,  400, 2},
{655.129,  120, 2},
{657.708,  200, 2},
{662.429,  750, 2},
{664.140,  800, 2},
{664.413,   20, 3},
{666.096,  450, 2},
{677.036,  100, 2},
{679.320,   50, 3},
{680.622,  300, 2},
{680.965,  400, 2},
{682.320,  320, 2},
{684.416,  250, 2},
{686.879,  320, 2},
{687.223,  270, 2},
{687.940,  270, 2},
{693.755,  220, 2},
{695.287,  150, 2},
{697.757,  150, 2},
{702.286,  200, 2},
{719.490,  300, 2},
{732.601,  400, 2},
{733.169,  300, 2},
{738.228,  250, 2},
{740.435, 1000, 2},
{743.416,  270, 2},
{756.202,  500, 2}
}
#declare LS_Zinc=array[36][3]{ // Zn 30 12
{380.634,   50, 2},
{384.029   100, 2},
{388.334    50, 1},
{396.543    15, 1},
{411.321    10, 1},
{429.288    25, 1},
{429.833    25, 1},
{462.981    35, 1},
{468.014   300, 1},
{472.215   400, 1},
{481.053   400, 1},
{491.162   800, 2},
{492.403   500, 2},
{506.866     7, 1},
{506.958    15, 1},
{518.198   200, 1},
{530.865     8, 1},
{531.024     7, 1},
{531.102     7, 1},
{577.210     4, 1},
{577.550     4, 1},
{577.711    10, 1},
{589.433   500, 2},
{602.118   500, 2},
{610.249   500, 2},
{611.153   100, 2},
{621.461   500, 2},
{623.790     8, 1},
{623.917     8, 1},
{636.234  1000, 1},
{647.918    10, 1},
{692.832    15, 1},
{693.847     8, 1},
{694.320     3, 1},
{747.880   200, 2},
{758.850   300, 2}
}
#declare LS_Bromine=array[128][3]{ // Br 35 17
{381.565, 1200, 1},
{382.026,  450, 3},
{383.469,  350, 2},
{387.121,  300, 2},
{389.163,  400, 2},
{390.124,  300, 2},
{390.395,  200, 3},
{391.420,  300, 2},
{391.438,  500, 2},
{391.951,  350, 2},
{392.409,  400, 2},
{392.955,  300, 2},
{393.969,  350, 2},
{395.061,  350, 2},
{398.038,  500, 2},
{399.236, 1500, 1},
{402.404,  300, 2},
{413.566,  300, 2},
{414.020,  300, 2},
{417.963,  400, 2},
{419.345,  300, 2},
{422.389, 1000, 2},
{423.689,  300, 2},
{429.139,  300, 2},
{436.514, 2000, 1},
{436.560, 1000, 2},
{442.514, 1500, 1},
{444.174,10000, 1},
{447.261,10000, 1},
{447.772,20000, 1},
{449.042, 1000, 1},
{450.655,  350, 3},
{451.344, 3000, 1},
{451.974,  200, 3},
{452.559,15000, 1},
{452.960,  300, 2},
{454.292,  500, 2},
{457.574, 3000, 1},
{460.136,  300, 2},
{461.458, 2500, 1},
{462.270,  350, 2},
{464.202,  300, 2},
{465.198,  300, 2},
{467.870,  500, 2},
{469.317,  400, 2},
{470.485,  500, 2},
{471.976,  350, 2},
{472.036,  400, 2},
{472.820,  300, 2},
{473.541,  300, 2},
{474.264,  400, 2},
{475.228, 2500, 1},
{476.600,  350, 2},
{477.940,  400, 2},
{478.031, 4000, 1},
{478.519, 1600, 1},
{478.550,  500, 2},
{480.233,  300, 2},
{481.670,  500, 2},
{481.846,  300, 2},
{484.481,  350, 2},
{484.875,  350, 2},
{492.112,  400, 2},
{492.879,  400, 2},
{493.066,  450, 2},
{494.551,  300, 2},
{497.976, 4000, 1},
{503.874,  300, 2},
{505.464,  300, 2},
{516.438,  400, 2},
{517.587,  150, 3},
{518.001,  300, 2},
{518.235,  500, 2},
{519.390,  300, 2},
{523.823,  500, 2},
{527.268,  300, 2},
{530.410,  350, 2},
{533.057,  400, 2},
{533.205,  500, 2},
{539.548, 1200, 1},
{542.278,  400, 2},
{542.499,  350, 2},
{543.507,  300, 2},
{544.680,  100, 3},
{546.622, 1200, 1},
{547.847,  350, 2},
{548.879,  300, 2},
{549.506,  300, 2},
{550.669,  500, 2},
{558.994,  350, 2},
{571.871,  300, 2},
{583.078,  300, 2},
{585.208, 1800, 1},
{594.048, 1600, 1},
{612.214, 2400, 1},
{614.860,40000, 1},
{616.174,  300, 2},
{617.739, 2000, 1},
{633.548, 1500, 1},
{635.073,60000, 1},
{635.294,  400, 2},
{641.032, 2500, 1},
{648.356, 1800, 1},
{651.462, 1000, 1},
{654.457,20000, 1},
{654.809, 1500, 1},
{655.980,50000, 1},
{657.131, 1000, 1},
{657.914, 1800, 1},
{658.217,20000, 1},
{662.047, 1500, 1},
{663.162,50000, 1},
{668.228,20000, 1},
{669.213,10000, 1},
{672.828, 8000, 1},
{676.006, 2000, 1},
{677.948, 2000, 1},
{678.674, 2200, 1},
{679.004, 6500, 1},
{679.148, 1600, 1},
{686.115, 1800, 1},
{700.519,10000, 1},
{719.280,  100, 3},
{726.045, 2000, 1},
{734.851,10000, 1},
{751.296,40000, 1},
{759.161, 1600, 1},
{759.507, 1800, 1}
}
#declare LS_Krypton=array[90][3]{ // Kr 36 18
{387.544,  150, 2},
{390.618,  150, 2},
{392.008,  200, 2},
{399.484,  100, 2},
{399.779,  100, 2},
{405.704,  300, 2},
{406.513,  300, 2},
{408.834,  500, 2},
{409.873,  250, 2},
{410.925,  100, 2},
{414.512,  250, 2},
{425.058,  150, 2},
{427.397, 1000, 1},
{428.297,  100, 1},
{429.292,  600, 2},
{430.049,  200, 2},
{431.781,  500, 2},
{431.855,  400, 1},
{431.958, 1000, 1},
{432.298,  150, 2},
{435.136,  100, 1},
{435.548, 3000, 2},
{436.264,  500, 1},
{436.969,  200, 2},
{437.612,  800, 1},
{438.654,  300, 2},
{439.997,  200, 1},
{442.519,  100, 1},
{443.169,  500, 2},
{443.681,  600, 2},
{445.392,  600, 1},
{446.369,  800, 1},
{447.501,  800, 2},
{448.988,  400, 2},
{450.235,  600, 1},
{452.314,  400, 2},
{455.661,  200, 2},
{457.721,  800, 2},
{458.298,  300, 2},
{459.280,  150, 2},
{461.529,  500, 2},
{461.917, 1000, 2},
{463.389,  800, 2},
{465.888, 2000, 2},
{468.040,  500, 2},
{469.130,  100, 2},
{469.436,  200, 2},
{473.900, 3000, 2},
{476.244,  300, 2},
{476.574, 1000, 2},
{481.176,  300, 2},
{482.518,  300, 2},
{483.208,  800, 2},
{484.661,  700, 2},
{485.720,  150, 2},
{494.559,  300, 2},
{502.240,  200, 2},
{508.652,  250, 2},
{512.573,  400, 2},
{520.832,  500, 2},
{530.866,  200, 2},
{533.341,  500, 2},
{546.817,  200, 2},
{556.222,  500, 1},
{557.029, 2000, 1},
{558.039,   80, 1},
{564.956,  100, 1},
{568.189,  400, 2},
{569.035,  200, 2},
{583.286,  100, 1},
{587.091, 3000, 1},
{599.222,  200, 2},
{599.385,   60, 1},
{605.613,   60, 1},
{642.018,  300, 2},
{642.103,  100, 1},
{645.629,  200, 1},
{657.007,  150, 2},
{669.923,   60, 1},
{690.468,  100, 1},
{721.313,  250, 2},
{722.410,  100, 1},
{728.726,   80, 1},
{728.978,  400, 2},
{740.702,  400, 2},
{742.554,   60, 1},
{743.578,  200, 2},
{748.686,  100, 1},
{752.446,  300, 2},
{758.741, 1000, 1},
}
#declare LS_Strontium=array[83][3]{ // Sr 38  2 
{387.426,   30, 3},
{393.640,   30, 3},
{393.672,   30, 3},
{394.080,  300, 1},
{395.875,   30, 3},
{396.926,  600, 1},
{397.004,  300, 1},
{403.038, 1300, 1},
{403.238,  300, 1},
{407.771,46000, 2},
{409.403,   30, 3},
{409.702,   30, 3},
{410.563,   30, 3},
{416.180,  200, 2},
{421.552,32000, 2},
{429.857,    9, 4},
{430.545,  340, 2},
{433.580,   35, 3},
{443.804,  350, 1},
{460.733,65000, 1},
{468.508,    9, 4},
{472.228, 3200, 1},
{474.192, 2200, 1},
{478.432, 1400, 1},
{481.188, 4800, 1},
{483.208, 3600, 1},
{485.504,  500, 1},
{486.870,  600, 1},
{487.249, 3000, 1},
{487.606,  600, 1},
{487.632, 2000, 1},
{489.198, 1000, 1},
{496.226, 8000, 1},
{496.794, 1300, 1},
{507.109,   30, 3},
{513.034,   30, 3},
{515.607,  800, 1},
{515.826,   35, 3},
{522.220, 1400, 1},
{522.511, 2000, 1},
{522.927, 2000, 1},
{523.855, 2800, 1},
{525.690, 4800, 1},
{525.771,   40, 3},
{526.221,   30, 3},
{528.832,   30, 3},
{532.982,  350, 1},
{539.103,   30, 3},
{544.348,   40, 3},
{545.084, 1500, 1},
{546.390,   30, 3},
{548.084, 7000, 1},
{548.612, 1100, 1},
{550.417, 3500, 1},
{552.183, 2600, 1},
{553.481, 2000, 1},
{554.005, 2000, 1},
{554.336,  250, 1},
{566.466,   30, 3},
{568.972,   30, 3},
{597.010,  200, 1},
{634.575,  250, 1},
{636.394,  250, 1},
{636.996,  350, 1},
{638.075, 1000, 1},
{638.650,  900, 1},
{638.824,  600, 1},
{640.847, 9000, 1},
{644.668,  250, 1},
{646.579,  250, 1},
{650.400, 5500, 1},
{654.679, 1000, 1},
{655.026, 1700, 1},
{661.726, 3000, 1},
{664.354,  800, 1},
{679.105, 1800, 1},
{687.838, 4800, 1},
{689.259, 1200, 1}  
{707.010, 5500, 1}, 
{715.309,   60, 1},
{716.724,  250, 1},
{723.227,  200, 1},
{730.941, 2500, 1},
}
#declare LS_Silver=array[52][3]{ // Ag 47 11
{381.094,  200, 1},
{381.178,   50, 1},
{384.074,  100, 1},
{384.785,   15, 1},
{390.741,   50, 1},
{390.931,   50, 2},
{391.440,   50, 1},
{392.010,   70, 2},
{392.801,   10, 1},
{394.043,   10, 1},
{394.297,   10, 1},
{394.943,   60, 2},
{398.158,  100, 1},
{398.519,   70, 2},
{399.215,   10, 1},
{405.548,  100, 1},
{408.343,   10, 1},
{408.591,   80, 2},
{418.548,  100, 2},
{421.096,   90, 1},
{421.282,  100, 1},
{431.107,   50, 1},
{439.623,   20, 1},
{447.604,   50, 1},
{455.600,   20, 1},
{461.569,   30, 1},
{462.004,   80, 2},
{462.046,   50, 2},
{466.848,   60, 1},
{467.760,   30, 1},
{478.840,  100, 2},
{479.620,   20, 1},
{484.782,   30, 1},
{487.410,  100, 1},
{488.821,   20, 1},
{491.750,   10, 1},
{493.575,   10, 1},
{499.289,   20, 1},
{502.735,   80, 2},
{512.350,   15, 1},
{520.908, 1000, 1},
{533.362,   10, 1},
{546.550, 1000, 1},
{547.155,  100, 1},
{547.538,   20, 1},
{554.567,   20, 1},
{555.958,   10, 1},
{566.734,  100, 1},
{608.378,   10, 1},
{626.850,   10, 1},
{662.108,   20, 1},
{735.996,   20, 1}
}
#declare LS_Cadmium=array[40][3]{ // Cd 48 12
{398.193,   10, 1},
{402.912,  100, 2},
{413.477,  200, 2},
{414.149,   50, 2},
{428.508,  100, 2},
{430.667,    8, 1},
{441.241,  100, 1},
{441.299,    3, 1},
{441.563, 1000, 2},
{444.045,   30, 2},
{466.235,    8, 1},
{467.815,  200, 1},
{474.469,   30, 2},
{479.991,  300, 1},
{488.172,   50, 2},
{502.550,   50, 2},
{508.582, 1000, 1},
{515.466,    6, 1},
{526.801,  100, 2},
{527.160,  100, 2},
{533.748, 1000, 2},
{537.813, 1000, 2},
{538.189,  200, 2},
{584.330,   40, 2},
{588.022,   50, 2},
{609.914,  300, 1},
{611.149,  100, 1},
{632.517,  100, 1},
{633.001,   30, 1},
{635.472,  400, 2},
{635.998,  500, 2},
{643.847, 2000, 1},
{646.494,  400, 2},
{656.765,   25, 2},
{672.578,  500, 2},
{675.919,  100, 2},
{677.811,   30, 1},
{723.701,   50, 2},
{728.438,  100, 2},
{734.567, 1000, 1}
}
#declare LS_Iodine=array[102][3]{ // I  53 17 
{396.316,    3, 3},
{407.714,    3, 3},
{410.223,  200, 1},
{412.921,  200, 1},
{413.415,  100, 1},
{432.184,  500, 1},
{445.286,  300, 2},
{459.977,  200, 2},
{463.245,  300, 2},
{466.648,  500, 2},
{467.553, 1000, 2},
{476.331,  250, 1},
{486.232, 1000, 1},
{491.694,  200, 1},
{498.692, 1000, 2},
{506.537,  400, 2},
{511.929,10000, 1},
{514.973,  200, 2},
{516.120, 3000, 2},
{517.619,  300, 2},
{521.627,  600, 2},
{522.897,  500, 2},
{523.457, 1000, 1},
{524.571, 3000, 2},
{526.936,  500, 2},
{529.978,  400, 2},
{532.280,  400, 2},
{533.822,10000, 2},
{534.515, 5000, 2},
{536.986, 1000, 2},
{540.542,  800, 2},
{540.736,  800, 2},
{542.706,  600, 1},
{543.583, 3000, 2},
{543.800, 1000, 2},
{546.462, 2000, 2},
{549.150,  800, 2},
{549.694, 1000, 2},
{550.472, 1000, 2},
{552.206,  600, 2},
{559.852,  600, 2},
{560.032, 1000, 2},
{561.289, 1500, 2},
{562.569,10000, 2},
{567.808, 1000, 2},
{569.091, 2000, 2},
{570.205,  500, 2},
{571.053, 4000, 2},
{573.827, 1000, 2},
{576.072, 1000, 2},
{576.433, 1000, 1},
{577.483,  500, 2},
{578.702,  500, 2},
{589.403, 2000, 1},
{595.025, 5000, 2},
{598.486,  300, 1},
{602.408, 2000, 1},
{606.893,  500, 2},
{607.498, 2000, 2},
{608.243, 1000, 1},
{612.749, 2000, 2},
{619.188,  800, 1},
{620.486, 1000, 2},
{621.310,  500, 1},
{624.448,  800, 1},
{625.749,  900, 2},
{629.398, 1000, 1},
{631.313,  500, 1},
{633.037,  800, 1},
{633.350,  400, 1},
{633.785, 2000, 1},
{633.944, 1000, 1},
{635.916,  500, 1},
{656.649, 1000, 1},
{658.375, 2000, 1},
{658.527, 1000, 1},
{661.966, 5000, 1},
{666.111,  500, 1},
{666.596,  600, 2},
{669.729,  500, 1},
{671.883,  300, 2},
{673.203,  400, 1},
{681.257, 4000, 2},
{695.878, 1000, 2},
{698.978,  500, 1},
{708.521,  200, 2},
{712.005,  500, 1},
{712.205, 1200, 1},
{714.206, 2000, 1},
{716.479, 1000, 1},
{719.166,  400, 1},
{722.730,  700, 1},
{723.678, 1000, 1},
{723.784,  500, 1},
{735.135,  500, 2},
{740.206, 5000, 1},
{741.050, 1000, 1},
{741.648,  500, 1},
{746.899, 5000, 1},
{749.052,  500, 1},
{755.418, 2000, 1},
{755.665,  500, 1}
}
#declare LS_Xenon=array[180][3]{ // Xe 54 18 
{384.150,  100, 3},
{387.780,  200, 3},
{388.050,   60, 3},
{390.791,  100, 2},
{392.255,  500, 3},
{395.059,  300, 3},
{403.759,  100, 2},
{405.007,  200, 3},
{405.746,  200, 2},
{406.040,   60, 3},
{409.889,  100, 2},
{410.910,  100, 3},
{414.570,  100, 3},
{415.804,  200, 2},
{418.010, 1000, 2},
{419.315,  500, 2},
{420.848,  300, 2},
{420.947,  100, 2},
{421.372,  300, 2},
{421.560,  100, 2},
{422.300,  300, 2},
{423.825,  400, 2},
{424.538,  500, 2},
{425.157,  100, 2},
{428.590,   30, 3},
{429.640,  500, 2},
{431.051,  500, 2},
{433.052, 1000, 2},
{436.920,  200, 2},
{437.378,  100, 2},
{439.320,  500, 2},
{439.577,  500, 2},
{440.688,  200, 2},
{441.607,  150, 2},
{443.420,   50, 3},
{444.813,  500, 2},
{446.210,  100, 3},
{446.219, 1000, 2},
{448.086,  500, 2},
{452.186,  100, 2},
{456.910,  100, 3},
{457.010,  100, 3},
{464.140,  100, 3},
{467.370,   30, 3},
{468.357,   60, 3},
{472.360,   30, 3},
{473.415,  600, 1},
{475.730,  100, 3},
{479.262,  150, 1},
{480.702,  500, 1},
{482.971,  400, 1},
{484.329,  300, 1},
{486.950,   40, 3},
{491.651,  500, 1},
{492.315,  500, 1},
{497.171,  200, 2},
{497.271,  400, 2},
{498.877,  300, 2},
{499.117,  100, 2},
{502.828,  200, 1},
{504.492,  200, 2},
{508.062, 1000, 2},
{512.242,  300, 2},
{512.570,  100, 2},
{517.882,  100, 2},
{518.804,  300, 2},
{519.137,  400, 2},
{519.210,  100, 2},
{523.900,   60, 3},
{526.044,  500, 2},
{526.195,  500, 2},
{529.222, 2000, 2},
{530.927,  300, 2},
{531.387, 1000, 2},
{533.933, 2000, 2},
{536.320,  200, 2},
{536.710,   30, 3},
{536.807,  200, 2},
{537.239,  500, 2},
{539.280,  100, 1},
{540.100,   50, 3},
{541.915, 3000, 2},
{543.896,  800, 2},
{544.545,  300, 2},
{545.045,  200, 2},
{546.039,  400, 2},
{547.261, 1000, 2},
{549.486,  100, 2},
{552.440,   40, 3},
{552.553,  200, 2},
{553.107,  600, 2},
{556.662,  100, 1},
{561.667,  300, 2},
{565.938,  300, 2},
{566.756,  600, 2},
{567.091,  150, 2},
{569.575,  100, 1},
{569.961,  200, 2},
{571.610,  200, 2},
{572.691,  500, 2},
{575.103,  500, 2},
{575.865,  300, 2},
{577.639,  300, 2},
{581.596,  100, 2},
{582.389,  300, 1},
{582.480,  150, 1},
{587.502,  100, 1},
{589.329,  300, 2},
{589.499,  100, 1},
{590.513,  200, 2},
{593.417,  100, 1},
{594.553,  500, 2},
{597.113,  300, 2},
{597.646, 2000, 2},
{600.892,  200, 2},
{603.620, 1000, 2},
{605.115, 2000, 2},
{609.350,  600, 2},
{609.759, 1500, 2},
{610.143,  400, 2},
{611.508,  100, 2},
{614.645,  100, 2},
{617.830,  150, 1},
{617.966,  120, 1},
{618.242,  300, 1},
{619.407,  500, 2},
{619.826,  100, 1},
{620.597,   60, 3},
{622.002,  100, 2},
{622.170,   25, 3},
{623.820,   60, 3},
{625.905,   60, 3},
{627.082,  500, 2},
{627.754,  400, 2},
{628.441,  100, 2},
{628.601,  100, 1},
{630.086,  250, 2},
{631.806,  500, 1},
{634.396,  400, 2},
{635.635,  600, 2},
{637.528,  200, 2},
{639.799,  100, 2},
{646.970,  300, 1},
{647.284,  150, 1},
{648.776,  120, 1},
{649.872,  100, 1},
{650.418,  200, 1},
{651.283,  300, 2},
{652.865,  200, 2},
{653.316,  100, 1},
{659.501, 1000, 2},
{659.556,  100, 1},
{659.725,  400, 2},
{659.884,  100, 2},
{666.892,  150, 1},
{669.432,  300, 2},
{672.801,  200, 1},
{678.871,  150, 2},
{679.037,  100, 2},
{680.574, 1000, 2},
{682.732,  200, 1},
{687.211,  100, 1},
{688.216,  300, 1},
{691.022,   80, 2},
{692.553,  100, 1},
{694.211,  800, 2},
{697.618,  100, 1},
{699.088, 2000, 2},
{708.215,  150, 2},
{711.960,  500, 1},
{714.750,   50, 2},
{714.903,  200, 2},
{716.483,  500, 2},
{728.434,  100, 2},
{730.180,  200, 2},
{733.930,  200, 2},
{738.600,  100, 1},
{739.379,  150, 1},
{754.845,  300, 2},
{758.468,  200, 1},
}
#declare LS_Caesium=array[125][3]{ // Cs 55  1
{380.510,  500, 2},
{387.016,   15, 2},
{387.614,  150, 1},
{388.861,   80, 1},
{389.700, 1000, 2},
{390.693,  350, 2},
{392.558,  500, 2},
{395.950,  350, 2},
{396.519,  500, 2},
{397.800,  150, 2},
{404.718,  350, 2},
{405.396,  200, 2},
{406.796,  500, 2},
{406.877,  500, 2},
{407.336,   70, 2},
{411.929,   60, 2},
{412.121,  500, 2},
{413.200,  100, 2},
{415.127,  350, 2},
{415.861,  350, 2},
{419.320,   60, 2},
{421.313,  500, 2},
{422.112,  200, 2},
{423.219,  500, 2},
{423.441,  350, 2},
{424.197,  100, 2},
{427.174,  100, 2},
{427.710, 2000, 2},
{428.835, 1000, 2},
{429.200,  200, 2},
{430.064,  500, 2},
{430.794,   50, 2},
{432.758,   50, 2},
{433.024,  350, 2},
{436.328, 2000, 2},
{437.302,  500, 2},
{438.443,  400, 2},
{438.876,  100, 2},
{439.691,  200, 2},
{439.950,  350, 2},
{440.385,  350, 2},
{440.525, 1000, 2},
{441.021,  350, 2},
{442.405,  100, 2},
{443.571,  350, 2},
{444.400,  100, 2},
{445.344,  200, 2},
{445.768,  200, 2},
{445.918,  200, 2},
{449.366,  100, 2},
{450.152, 1000, 2},
{450.671,  200, 2},
{450.683,  100, 2},
{451.550,  100, 2},
{452.285,  150, 2},
{452.672, 1000, 2},
{453.894,  800, 2},
{455.527,  400, 1},
{456.698,  150, 2},
{457.179,  150, 2},
{459.316,  200, 1},
{460.376, 2500, 2},
{460.999,  100, 2},
{461.613,  150, 2},
{462.309,  350, 2},
{464.651,  500, 2},
{465.654,  150, 2},
{467.028,  350, 2},
{469.561,  100, 2},
{470.179,  500, 2},
{473.298,  350, 2},
{473.966,  350, 2},
{474.913,  100, 2},
{476.362,  500, 2},
{478.636,  200, 2},
{483.016,  800, 2},
{487.002,  800, 2},
{495.284,  800, 2},
{497.259,  500, 2},
{504.380,  800, 2},
{505.270,  500, 2},
{505.987,  500, 2},
{508.177,  100, 2},
{509.660,  400, 2},
{522.700, 1500, 2},
{524.937,  800, 2},
{527.404,  400, 2},
{530.661,  350, 2},
{534.916,  350, 2},
{537.097,  800, 2},
{541.969,  500, 2},
{546.594,    5, 1},
{550.288,    5, 1},
{556.302, 1000, 2},
{563.521,   11, 1},
{566.402,   30, 1},
{574.572,    8, 1},
{581.418,  350, 2},
{583.116,  500, 2},
{583.883,    5, 1},
{584.514,   30, 1},
{592.565,  500, 2},
{601.049,   80, 1},
{603.409,   30, 1},
{612.862,  400, 2},
{621.310,  120, 1},
{621.759,   15, 1},
{635.455,   50, 1},
{641.954,  100, 2},
{643.196,   15, 1},
{647.262,   15, 1},
{649.553,  200, 2},
{653.644,  200, 2},
{658.602,   30, 1},
{658.651,  200, 1},
{662.866,   35, 1},
{672.328,  200, 1},
{682.465,  100, 1},
{687.045,  100, 1},
{695.552,  400, 2},
{697.330,  200, 1},
{698.349,   35, 1},
{722.854,  200, 1},
{727.990,   60, 1},
{727.996,  200, 1}
}
#declare LS_Barium=array[129][3]{ // Ba 56  2
{381.669,  200, 2},
{384.280,  200, 2},
{385.476,  100, 2},
{388.933,   20, 1},
{389.178, 1400, 2},
{389.265,   20, 1},
{390.991,   40, 1},
{391.473,  500, 2},
{392.685,   25, 3},
{393.572,   50, 1},
{393.787,   20, 1},
{393.967,  200, 2},
{394.951,  500, 2},
{399.306,   25, 3},
{399.340,   80, 1},
{399.566,   30, 1},
{403.626,  300, 2},
{405.371,   18, 3},
{408.377,  200, 2},
{408.486,   30, 1},
{413.066, 1500, 2},
{413.243,   20, 1},
{416.600,  200, 2},
{421.604,  500, 2},
{426.795,  800, 2},
{428.310,  100, 1},
{428.780,  300, 2},
{429.760,  200, 2},
{430.932,  800, 2},
{432.300,   20, 1},
{432.573,  600, 2},
{432.674,  200, 2},
{432.962,  300, 2},
{435.033,   80, 1},
{440.254,   60, 1},
{440.523,  400, 2},
{443.189,   40, 1},
{448.898,   60, 1},
{449.364,   50, 1},
{450.592,   40, 1},
{450.963,  200, 2},
{452.317,   60, 1},
{452.493,  130, 2},
{455.403,65000, 2},
{457.385,   40, 1},
{457.964,   80, 1},
{459.975,   30, 1},
{461.992,   20, 1},
{462.833,   25, 1},
{464.410,  300, 2},
{467.362,   30, 1},
{469.162,   35, 1},
{469.744,   15, 3},
{470.043,   20, 1},
{470.894,  800, 2},
{472.644,   40, 1},
{484.346,  800, 2},
{484.714,  300, 2},
{485.084,  200, 2},
{487.765,   30, 1},
{489.997,  400, 2},
{490.290,   15, 1},
{493.409,20000, 2},
{494.735,    8, 1},
{495.715, 1000, 2},
{499.781,  300, 2},
{501.300, 1000, 2},
{504.955,   10, 3},
{509.754,   10, 3},
{510.225,   12, 3},
{513.454,   10, 3},
{515.994,   20, 1},
{526.703,   20, 1},
{536.135,  800, 2},
{539.160, 1000, 2},
{542.105,  200, 2},
{542.455,  100, 1},
{542.879,  200, 2},
{548.030,  300, 2},
{551.905,  200, 1},
{553.548, 1000, 1},
{562.040,   20, 1},
{568.018,   10, 1},
{577.762,  400, 1},
{578.418,  800, 2},
{580.023,  100, 1},
{580.569,   20, 1},
{582.628,  150, 1},
{585.368, 2800, 2},
{590.764,   15, 1},
{597.170,  100, 1},
{598.125,  800, 2},
{599.709,  100, 1},
{599.800,   10, 3},
{599.985,  300, 2},
{601.947,  100, 1},
{606.312,  200, 1},
{610.199,   13, 3},
{611.078,  300, 1},
{613.583,  400, 2},
{614.172,20000, 2},
{634.168,  150, 1},
{637.711,   10, 3},
{637.891,  500, 2},
{638.376,   10, 3},
{645.085,   90, 1},
{648.291,  150, 1},
{649.690,12000, 2},
{649.876,  300, 1},
{652.617,    8, 3},
{652.731,  150, 1},
{659.533, 3000, 1},
{665.410,  150, 1},
{667.527, 1500, 1},
{669.384, 1800, 1},
{676.962, 1000, 2},
{686.569,  600, 1},
{686.785,  300, 1},
{687.409, 1000, 2},
{705.994, 6000, 1},
{709.549,    8, 3},
{712.033, 2400, 1},
{719.524,  600, 1},
{722.884,  600, 1},
{728.030, 3000, 1},
{739.241, 1200, 1},
{741.753,  300, 1},
{745.978,  900, 1},
{748.808,  600, 1},
}
#declare LS_Gold=array[60][3]{ // Au  79   11
{380.192,   30, 1},
{380.401,   30, 2},
{382.185,   10, 1},
{382.570,   10, 1},
{387.473,  100, 1},
{388.025,   30, 1},
{388.948,   30, 1},
{389.226,  100, 1},
{389.786,  400, 1},
{390.109,   30, 1},
{390.938,  300, 1},
{392.769,  100, 1},
{395.910,   10, 1},
{396.623,   30, 1},
{397.665,   30, 1},
{397.968,   30, 1},
{399.137,   30, 1},
{401.257,    3, 1},
{401.607,   10, 2},
{404.093,  400, 1},
{405.279,   30, 2},
{406.507,  700, 1},
{407.635,   10, 2},
{408.328,    3, 2},
{408.410,  100, 1},
{410.170,   30, 1},
{412.859,   30, 1},
{420.113,   30, 1},
{422.788,   30, 1},
{424.180,  100, 1},
{431.511,  200, 1},
{436.104,   30, 2},
{442.061,   10, 2}
{443.727,  120, 1},
{448.825,  250, 1},
{460.751,  900, 1},
{462.056,  100, 1},
{466.392,    1, 1},
{466.397,    3, 1},
{469.469,   10, 1},
{476.017,    3, 2},
{479.258,  500, 1},
{481.160,  100, 1},
{482.296,   10, 1},
{495.082,   30, 1},
{506.459,   30, 1},
{510.884,   30, 1},
{514.744,  100, 1},
{523.026,  300, 1},
{526.176,  100, 1},
{565.577,  100, 1},
{572.136,  100, 1},
{583.737,  300, 1},
{586.293,  100, 1},
{595.696,  300, 1},
{596.268,   30, 1},
{627.817,  600, 1},
{656.268,  100, 1},
{665.289,   30, 1},
{751.073,  600, 1},
}
#declare LS_Mercury=array[66][3]{ // Hg  80   12
{380.166,   30, 1},
{380.351,   15, 3},
{380.638,  100, 2},
{390.187,   20, 1},
{390.637,   60, 1},
{391.892,  100, 2},
{398.396,  200, 2},
{404.656, 1800, 1},
{407.783,  150, 1},
{410.805,   40, 1},
{412.207,   70, 3},
{414.034,   10, 3},
{421.674,  100, 3},
{433.922,  250, 1},
{434.749,  400, 1},
{435.833, 4000, 1},
{439.862,  100, 2},
{447.058,   15, 3},
{455.284,   12, 3},
{466.028,   90, 2},
{479.701,   50, 3},
{485.572,   80, 2},
{486.985,   10, 3},
{488.300,    5, 1},
{488.991,    5, 1},
{491.607,   80, 1},
{497.037,    5, 1},
{497.357,   80, 3},
{498.064,    5, 1},
{510.270,   20, 1},
{512.064,   40, 1},
{512.845,  100, 2},
{513.794,   20, 1},
{521.082,   30, 3},
{529.074,   20, 1},
{531.678,    5, 1},
{535.405,   60, 1},
{538.463,   30, 1},
{546.074, 1100, 1},
{554.963,   30, 1},
{567.586,  160, 1},
{569.571,    6, 3},
{576.960,  240, 1},
{578.966,  100, 1},
{579.066,  280, 1},
{580.378,  140, 1},
{585.925,   60, 1},
{587.173,   60, 2},
{587.198,   20, 1},
{607.272,   20, 1},
{614.950, 1000, 2},
{622.035,   25, 3},
{623.440,   30, 1},
{641.898,   35, 3},
{650.138,   40, 3},
{652.113,   80, 2},
{658.426,   10, 3},
{661.012,    6, 3},
{670.929,   30, 3},
{671.643,  160, 1},
{690.752,  250, 1},
{708.190,  250, 1},
{709.186,  200, 1},
{734.637,   40, 2},
{748.587,  100, 2}
{751.746,   12, 3},
}
#declare LS_Radon=array[40][3]{ // Rn 86 18
{391.720,   10, 1},
{394.172,   10, 1},
{395.236,   10, 1},
{422.606,   10, 1},
{430.776,   80, 1},
{433.578,    7, 1},
{434.960,  100, 1},
{443.505,   40, 1},
{445.925,   50, 1},
{450.848,   50, 1},
{457.772,   50, 1},
{460.938,   50, 1},
{472.176,   30, 1},
{572.258,    6, 1},
{606.192,   10, 1},
{620.075,    6, 1},
{638.045,    6, 1},
{655.749,   10, 1},
{660.643,   10, 1},
{662.723,   15, 1},
{666.960,    6, 1},
{670.428,    8, 1},
{675.181,   20, 1},
{680.679,    6, 1},
{683.695,    8, 1},
{683.757,    8, 1},
{689.116,   10, 1},
{699.890,   10, 1},
{705.542,  200, 1},
{726.811,  100, 1},
{729.100,   20, 1},
{732.098,    6, 1},
{741.904,   10, 1},
{745.000,  300, 1},
{747.089,    8, 1},
{748.313,    8, 1},
{751.413,    8, 1},
{751.692,    8, 1},
{752.393,    6, 1},
{759.755,    6, 1}
}

//=============================================================

#macro lspd_elements_Release()
  #undef LS_Hydrogen
  #undef LS_Helium
  #undef LS_Lithium
  #undef LS_Beryllium
  #undef LS_Boron
  #undef LS_Carbon
  #undef LS_Nitrogen
  #undef LS_Oxygen
  #undef LS_Fluorine
  #undef LS_Neon
  #undef LS_Sodium
  #undef LS_Magnesium
  #undef LS_Aluminium
  #undef LS_Silicon
  #undef LS_Phosphorus
  #undef LS_Sulfur
  #undef LS_Chlorine
  #undef LS_Argon
  #undef LS_Potassium
  #undef LS_Calcium
  #undef LS_Iron
  #undef LS_Nickel
  #undef LS_Copper
  #undef LS_Zinc
  #undef LS_Bromine
  #undef LS_Krypton
  #undef LS_Strontium
  #undef LS_Silver
  #undef LS_Cadmium
  #undef LS_Iodine
  #undef LS_Xenon
  #undef LS_Caesium
  #undef LS_Barium 
  #undef LS_Gold
  #undef LS_Mercury
  #undef LS_Radon
  #undef lspd_elements_Inc_Temp
#end    

//=============================================================
       
#end // eof

